clear
set more off
set mem 100m
*generating 00_BASICINFO.dta
cd "C:\Africa\Ghana\GLSS3-1991"
*---------------------------------------------
use "02_CLEANDATA\S1", clear
des
*Number of observations 20,403
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID 
*4,552 unique values generated
*---------------------------------------------
*HHSIZE_S
tab  s1q15, m
/*CHECK: Consistently coded- All observations coded as 2'NO'; No missing values
1. All individuals are household members.*/
bysort HID: gen HHSIZE_S =_N
*---------------------------------------------
collapse HHSIZE_S, by (HID)
*---------------------------------------------
*HHSIZE
gen HHSIZE =HHSIZE_S
*---------------------------------------------
sort HID
save "04_AGGDATA\BASICINFO", replace
*---------------------------------------------
use	"01_RAWDATA\RAWDATA_SHIP\POVERTY\POV_GH",	clear
des
*number of observations 4,523
*---------------------------------------------
*COUNTRY 
gen COUNTRY = "GHA"
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*number of households 4,523
sort HID
*---------------------------------------------
*SURVEYR
gen SURVEYR = 1991
*---------------------------------------------
*RURURB
tab loc2, miss
*CHECK: Consistently coded; No missing values
recode loc2 (1=2)(2=1), gen (RURURB)
*---------------------------------------------
*REGION
tab region, miss
*CHECK: Consistently coded; No missing values
gen REGION= region
*---------------------------------------------
*Merging the datasets
merge HID using 04_AGGDATA\BASICINFO
tab _merge
/*CHECK: No information available for 29 households in the file POV_GH
2=29
3=4,523*/
drop if _merge==2
drop _merge
*---------------------------------------------
*WTA_HH
tab weight, miss
*CHECK: Consistently coded; No missing values
gen WTA_HH=weight
*---------------------------------------------
*WTA_POP
gen WTA_POP=WTA_HH*HHSIZE
*---------------------------------------------
*labeling the variables
label var COUNTRY "Country name"
label def region 1"Western" ///
	2"Central" ///
	3"Greater Accra" ///
	4"Eastern" ///
	5"Volta" ///
	6"Ashanti" ///
	7"Brong Ahafo" ///
	8"Northern" ///
	9"Upper West" ///
	10"Upper East" 
label val REGION region
label var REGION "Geographical code"
label var HID "Household unique ID"
label var SURVEYR "Survey year"
label def rururb 1"Rural" ///
	2 "Urban"
label val RURURB rururb
label var RURURB "Area of residence"
label var HHSIZE "Total number of residents excluding household help"
label var HHSIZE_S "Total number of residents"
label var WTA_HH "Household weight"
label var WTA_POP "Population weight"
*---------------------------------------------
sort HID
order COUNTRY REGION HID SURVEYR RURURB HHSIZE HHSIZE_S WTA_HH WTA_POP 
keep COUNTRY REGION HID SURVEYR RURURB HHSIZE HHSIZE_S WTA_HH WTA_POP 
des
*number of observations 4,523

save "04_AGGDATA\00_BASICINFO", replace
erase "04_AGGDATA\BASICINFO.dta"
