clear
set more off
set mem 100m
*generating 11_EXPHOTL.dta
cd "C:\Africa\Ghana\GLSS3-1991"
*---------------------------------------------
/*Non-food expenditure is classified as FREQUENT and LESS-FREQUENT.
FREQUENT is captured in S9A2.
LESS-FREQUENT is captured in S9A12. 
HOTEL EXPENDITURE IS NOT CAPTURED IN LESS-FREQUENT EXPENDITURES
The item codes are designed to be mutually exclusive in both these sections in the codebook.
It needs to be checked if they are consistently coded in the dataset.*/
*---------------------------------------------
use "02_CLEANDATA\S9A2", clear
des
*Number of observations 37,901
*---------------------------------------------
*HID
egen HID= concat( clust nh), p(/)
codebook HID
*number of households 4510
*---------------------------------------------
*Checking the item codes
tab nfdex2cd, miss
*Consistently coded
*---------------------------------------------
*dropping all observations that do not relate to this expenditure head
keep if nfdex2cd==806
des
*number of observations 38
*---------------------------------------------
*generating the total amount of expenditure during the 11 or 8 survey visits
egen amt = rowtotal(s9a2q1 s9a2q2 s9a2q3 s9a2q4 s9a2q5 s9a2q6 s9a2q7 s9a2q8 s9a2q9 s9a2q10)
*------------------------------------------------------
*Merging BASICINFO to ascertain rural or urban location
sort HID
merge HID using 04_AGGDATA\00_BASICINFO
tab _merge
/*Correctly merged
2= 4,485; 
3= 38*/
drop _merge
sort HID
*---------------------------------------------
/*Annualizing the value
The survey captures expenditure over a :-
30 day period in urban areas
14 day period in rural areas*/
gen az_amt=(amt*(365/14)) if RURURB==1
replace az_amt=(amt*(365/30)) if RURURB==2
*---------------------------------------------
*TOTHOTL
gen TOTHOTL = az_amt
*---------------------------------------------
collapse (sum)TOTHOTL, by (HID)
sort HID
des
*total observations 4,523
*----------------------------------------------------
*DATA DOES NOT ALLOW FURTHER CLASSIFICATION INTO HOTCAT OR HOTACC
*HOTCAT
gen HOTCAT = .
*----------------------------------------------------
*HOTACC
gen HOTACC = .
*------------------------------------------------------
*labeling the variables
label var HID "Household unique ID"
label var HOTCAT "Expenditure on catering services, including eating out"
label var HOTACC "Expenditure on accommodation services"
label var TOTHOTL "Total expenditure on restaurants and hotel"
*------------------------------------------------------
order HID HOTCAT HOTACC TOTHOTL
keep HID HOTCAT HOTACC TOTHOTL
des
*number of observations 4,523
sort HID
save 04_AGGDATA\11_EXPHOTL, replace
