clear
set more off
set mem 100m
*generating 13_FDPINDEX.dta
cd "C:\Africa\Ghana\GLSS3-1991"
*---------------------------------------------
use "02_CLEANDATA\POV_GH", clear
des
*number of observations 4,523
*---------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*Number of households 4,523
*---------------------------------------------
codebook povfpi 
/* povfpi is the food price index 
there are 55 unique values and no missing values*/
*--------------------------------------------
*FDPINDEX
tab povfpi if region==3 & month==3 & year==92 & loc2==1 & loc5==1 & loc3==1
gen deflator=.1633
*The survey was carried out from Sep 1991 to Sep 1992. 
*the deflator is the food price index in Greater Accra region (urban) in Mar 1992(mid-month of the survey period).
gen FDPINDEX=povpi/deflator
*---------------------------------------------
*REGION
gen REGION=region
*---------------------------------------------
*labeling the variables
label var HID "Household unique ID"
label def region 1"Western" ///
	2"Central" ///
	3"Greater Accra" ///
	4"Eastern" ///
	5"Volta" ///
	6"Ashanti" ///
	7"Brong Ahafo" ///
	8"Northern" ///
	9"Upper West" ///
	10"Upper East" 
label val REGION region
label var REGION "Geographical code"
label var FDPINDEX "Regional food price deflator"
*---------------------------------------------
/*Since the Food price index at a subregional level it is not collapsed
In the generating the Expenditure file it will be merged 
at the houshold level and not the regional level*/
order HID REGION FDPINDEX
keep HID REGION FDPINDEX
sort HID
*number of observations 
save 04_AGGDATA\13_FDPINDEX, replace
