clear
set more off
set mem 100m
*generating GHA_1991_E
cd "C:\Africa\Ghana\GLSS3-1991\04_AGGDATA"
*---------------------------------------------
use "00_BASICINFO",clear
keep HID REGION RURURB HHSIZE HHSIZE_S
*---------------------------------------------
sort HID
merge HID using 01_EXPFOOD
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 02_EXPALCH
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 03_EXPCLTH
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 04_EXPHOUS
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 05_EXPFURN
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 06_EXPHLTH
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 07_EXPTRSP
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 08_EXPCMNQ
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 09_EXPRCRE
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 10_EXPEDUC
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 11_EXPHOTL
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 12_EXPMISC
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
sort HID
merge HID using 13_FDPINDEX
tab _merge
/*Correctly merged
3= 4,523*/
drop _merge
*---------------------------------------------
egen TOTFDAL= rowtotal(TOTFOOD TOTALCH)
egen TOTNFD= rowtotal(TOTCLTH TOTHOUS TOTFURN TOTHLTH TOTTRSP TOTCMNQ TOTRCRE TOTEDUC TOTHOTL TOTMISC)
egen HHEXP_N= rowtotal(TOTFDAL TOTNFD)
gen r_totfdal= TOTFDAL/FDPINDEX
egen HHEXP_R= rowtotal(r_totfdal TOTNFD)
*It is assumed that non-food prices will not vary much regionally thus only total food expenditure is regionally adjusted
drop r_totfdal
*---------------------------------------------
*CPI2005_DEF
gen CPI2005_DEF = 6315.542969/266.5794678
*CPI2005_DEFL=CPI2005/CPI1991
*---------------------------------------------
*PPP2005
gen PPP2005 = 4475.82
*PPP conversion factor for private individual consumption
*--------------------------------------------------------------------
*converting observations coded as missing to zero for all variables*
mvencode _all,mv(0) override 
*--------------------------------------
label var TOTFDAL "Total annual expenditure on food and alcohol"
label var TOTNFD "Total annual expenditure on non-food items"
label var  HHEXP_N "Total annual nominal household expenditures"
label var HHEXP_R "Total annual regionally adjusted household expenditure"
label var CPI2005_DEF " CPI deflator"
label var PPP2005 " 2005 PPP Exchange Rate"
*--------------------------------------
order HID REGION RURURB HHSIZE TOTFOOD TOTALCH TOTFDAL TOTCLTH GAS ELEC HSUTILITY HSKEROSENE ///
	HSDIESEL TOTHOUS TOTFURN TOTHLTH TRFUEL TRPERSON TRSERVE TOTTRSP TOTCMNQ TOTRCRE TOTEDUC  ///
	TOTHOTL TOTMISC TOTNFD FDPINDEX HHEXP_N HHEXP_R CPI2005_DEF PPP2005

keep HID REGION RURURB HHSIZE TOTFOOD TOTALCH TOTFDAL TOTCLTH GAS ELEC HSUTILITY HSKEROSENE ///
	HSDIESEL TOTHOUS TOTFURN TOTHLTH TRFUEL TRPERSON TRSERVE TOTTRSP TOTCMNQ TOTRCRE TOTEDUC  ///
	TOTHOTL TOTMISC TOTNFD FDPINDEX HHEXP_N HHEXP_R CPI2005_DEF PPP2005
*--------------------------------------
sort HID
des
*total number of observations 4,523
save GHA_1991_E, replace
