clear
set mem 200m
set more off
*generating GHA_1991_H
cd "C:\Africa\Ghana\GLSS3-1991"
*--------------------------------------------------
use "04_AGGDATA\00_BASICINFO",clear
sort HID
save "04_AGGDATA\GHA_H",replace
*---------------------------------------------
use "02_CLEANDATA\S0A.dta", clear
des
/*Number of observations 4,552
Household level file
Contains basic and survey visit data*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*4,552 unique values generated
*---------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK: Correctly merged
1=29 : 29 additional households that do not have complete data and were
dropped while generating BASICINFO
3=4,523*/
drop if _merge==1
drop _merge
*---------------------------------------------
*PROVINCE
gen PROVINCE=.
*no data
*---------------------------------------------
*DISTRICT
gen DISTRICT=.
*---------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*--------------------------------
use 04_AGGDATA\GHA_1991_I, clear
keep if RELAT==1
*only observations pertaining to household heads is retained, rest are droppped
*total observations 4,523
*-----------------------------------------------------
*HHSEX
gen HHSEX=SEX
*-----------------------------------------------------
*HHAGEY
gen HHAGEY=AGEY
*-----------------------------------------------------
*HHMARST
gen HHMARST=MARSTAT
*-----------------------------------------------------
*HHEDLEV
gen HHEDLEV=EDLEVEL_AR
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
3=4,523*/
drop _merge
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*------------------------------------------------
use 04_AGGDATA\GHA_1991_L, clear
keep if RELAT==1
*only observations pertaining to household heads is retained, rest are droppped
*total observations 4,523
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
3=4,523*/
drop _merge
*-----------------------------------------------------
*HHEMSTAT
gen HHEMSTAT=0 if UNEMPLOYED_WB==1
replace HHEMSTAT=1 if EMPLOYED_WB==1
tab HHEMSTAT, miss
*CHECK-Inconsistently coded: No individual is unemployed*/
*-----------------------------------------------------
*HHEMTYPE
gen HHEMTYPE=EMPTYPE_WB_1
tab HHEMTYPE, miss
*CHECK-Consistently coded: 252 missing values
*-----------------------------------------------------
*HHINDUSTRY
gen HHINDUSTRY=INDUSTRY_1
tab HHINDUSTRY, miss
*CHECK-Consistently coded: 230 missing values
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*-----------------------------------------------------
use "02_CLEANDATA\S7", clear
des
/*Number of observations 4,528
Household level file
Contains information regarding dwelling characteristics*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*4,528 unique values generated
*-----------------------------------------------------
*OWNHOUSE
tab s7q11, miss
*CHECK: Consistently coded; 1 missing value
recode  s7q11 (1=1)(2 3 4= 0), gen (OWNHOUSE)
*-----------------------------------------------------
*ROOMS
tab s7q2, miss
*CHECK: Consistently coded; 2 missing values
gen ROOMS = s7q2
*-----------------------------------------------------
*ROOF
tab s7q37, miss
*CHECK: Consistently coded; 7 missing values
recode  s7q37 (1=3)(2=2)(3=4)(4=1)(5 6 =9), gen(ROOF)
*-----------------------------------------------------
*WALLS
tab s7q35, miss
*CHECK: Consistently coded; 2 missing values
recode  s7q35 (1=5)(2=2)(3=4)(4 5=1)(6=9), gen(WALLS)
*-----------------------------------------------------
*FLOOR
tab s7q36, miss
*CHECK: Consistently coded; 4 missing values
recode  s7q36 (1=4)(2=2)(3 5=1)(4 6=9), gen(FLOOR)
*-----------------------------------------------------
*WATER
tab s7q22, miss
*CHECK: Consistently coded; 6 missing values
recode s7q22 (1 2 6=1)(3 4=8)(5 7=2)(8=4)(9=5)(10=6)(11=7)(12=9), gen(WATER)
*data classified as 'pipe in neighboring household' is reclassified as 'public standpipe'
*data classified as 'private outside standpipe/pipe' is reclassified as 'pipe (own tap)'
*-----------------------------------------------------
*ADISWAT
tab s7q23a s7q23b, miss
*CHECK: Consistently coded; 1,661 missing values for both variables
tab s7q22 if s7q23a==.
/*CHECK: Consistently coded; 
s7q23a is missing if the water is available in the proximity house,including rainwater.
Only 6 observations 2 coded as 'wells unprotected' and 4 coded as 'surface water' have missing values for distances*/
gen ADISWAT= s7q23a
replace ADISWAT=0 if (ADISWAT==. & WATER!=.)
*Distance coded as 0 if water available in the house, including rain water.
replace ADISWAT=(s7q23a*0.000914) if s7q23b==1
*conversion from yard to Kms
replace ADISWAT=(s7q23a/1000) if s7q23b==2
*conversion from meters to Kms
replace ADISWAT=(s7q23a*5/8) if s7q23b==4
*conversion from miles to Kms
tab ADISWAT, miss
*CHECK: Consistently coded; 98.85% of the households have water within 5Kms
*-----------------------------------------------------
*ATIMWAT
gen ATIMWAT=.
*no data
*-----------------------------------------------------
*FUELCOOK
tab s7q31, miss
*CHECK: Consistently coded; 7 missing values
recode s7q31 (1=1)(2=3)(3=5)(4=4)(5=2)(6=9), gen(FUELCOOK)
tab FUELCOOK, miss
*CHECK: Consistently coded; 7 missing values
*-----------------------------------------------------
*FUELLIGH
tab s7q29, miss
*CHECK: Consistently coded; 7 missing values
recode s7q29 (1 2=1)(3=2)(4=3), gen(FUELLIGH)
tab FUELLIGH, miss
/*CHECK: Consistently coded; 7 missing values.
1. 'gas lamp' and 'kerosene' are clubbed together and cannot be further disaggregated. 
It has been coded as 2 'Kerosene' assuming a greater component of the classification than gas lamps
2. Nothing is coded as 4 'Gas' and 5'Other'*/
*-----------------------------------------------------
*ELECTCON
/*no such question asked in the questionnaire.
It has been coded on the basis of s7q31 (FUELCOOK) and s7q29 (FUELLIGH).
If the household uses electricity for lighting or cooking it is assumed to have electricity connection*/
recode s7q29(1=1)(2=3)(3 4=0), gen(ELECTCON)
replace ELECTCON=1 if s7q31==4
tab ELECTCON, miss
/*CHECK: Consistently coded; 7 missing values.
Nothing is coded as 2 'solar/wind' or 9'other'*/
*-----------------------------------------------------
*TOILET
tab s7q34, miss
*CHECK: Consistently coded; 4 missing values.
recode s7q34 (1=1)(2=3)(3 4=2)(5=4)(6=9), gen(TOILET)
tab TOILET, miss
/*CHECK: Consistently coded; 4 missing values.
1. Data classified as 'pan/bucket toilet' or 'improved pit latrine' has been classified as 'improved pit latrine'*/
*-----------------------------------------------------
*GARBDISP
tab s7q32, miss
*CHECK: Consistently coded; 9 missing values.
recode s7q32 (1=1)(2=3)(3 4=2), gen (GARBDISP)
tab GARBDISP, miss
/*CHECK: Consistently coded; 9 missing values.
1. Data classified as 'dumped by household' has been classified as 'discarded'
2. No observation is coded as 9'other'*/
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
1=29 : households dropped while generating BASICINFO
2=24 : 24 households that do not have data in Section 7
3=4,499*/
drop if _merge==1
drop _merge
*-----------------------------------------------------
*DISPSCH
gen DISPSCH=.
*no data
*-----------------------------------------------------
*DISPSCH1
gen DISPSCH1=.
*no data
*-----------------------------------------------------
*TIMPSCH
gen TIMPSCH=.
*no data
*-----------------------------------------------------
*TIMPSCH1
gen TIMPSCH1=.
*no data
*-----------------------------------------------------
*DISHEAL
gen DISHEAL=.
*no data
*-----------------------------------------------------
*DISHEAL1
gen DISHEAL1=.
*no data
*-----------------------------------------------------
*TIMHEAL
gen TIMHEAL=.
*no data
*-----------------------------------------------------
*TIMHEAL1
gen TIMHEAL1=.
*no data
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*--------------------------------------------------
use "02_CLEANDATA\S8B", clear
des
/*Number of observations 5,213
Household level file with observations at land asset level
Contains information regarding household agricultural land assets*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*3,050 unique values generated
*-----------------------------------------------------
*AGLAND
tab s8bq6, miss
*CHECK: Consistently coded; 4 missing value
recode s8bq6 (1=1)(2=2)(3=3), gen (AGLAND)
tab AGLAND, miss
*CHECK: Consistently coded; 4 missing value
*-----------------------------------------------------
*AGLNDOW
tab s8bq4, miss
*CHECK: Inconsistently coded; 37 observations have 0 values; 6 missing values
tab s8bq4c, miss
*CHECK: Consistently coded; 10 missing values
gen AGLNDOW=s8bq4/2.471 if s8bq4c==1|s8bq4c==4
replace AGLNDOW=s8bq4/2.471 if s8bq4c==2
replace AGLNDOW=s8bq4/(9 * 2.471) if s8bq4c==3
*replacing all values to 0 if farmland is not owned
replace AGLNDOW=0 if AGLAND==3
tab AGLNDOW, miss
/* *CHECK: Consistently coded; 5 missing values
1. Land that is 'owned without deed' is assumed to be owned
2. Conversion factors used
	a. 1 ha = 2.471 acres 
	b. 1 pole = approximately 1 acre
	c. 9 ropes = 1 acre
3. Area with units coded as 4'other' is assumed to be in acres and converted accordingly
4. 2858 observations have 0 values*/
*-----------------------------------------------------
*AREA_IRRIG
tab s8bq5, miss
*CHECK: Consistently coded; 27 missing values
gen AREA_IRRIG=AGLNDOW if s8bq5==1
tab AREA_IRRIG, miss
*CHECK: Consistently coded; 5,114 missing values
*-----------------------------------------------------
*AREA_COLLAT- only refers to agricultural land
tab s8bq7, miss
*CHECK: Consistently coded; 2,873 missing values
gen AREA_COLLAT=AGLNDOW if (s8bq7==2|s8bq7==3)
tab AREA_COLLAT, miss
/*CHECK: Consistently coded; 4,089 missing values
1. Land that the household has the right to sell but not use as security is not included.*/
*-----------------------------------------------------
collapse AGLAND (sum) AGLNDOW AREA_IRRIG AREA_COLLAT, by (HID)
des
*number of observations 3,050
*-----------------------------------------------------
*AREA_NONIRRIG
gen AREA_NONIRRIG=.
*No data
*-----------------------------------------------------
*LANDCON
gen LANDCON=.
*No data
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=1,473
3=3,050*/
drop _merge
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\S8A1", clear
des
/*Number of observations 3,098
Household level file
Contains information regarding household any land*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*3,098 unique values generated
*-----------------------------------------------------
*LANDSIZE
tab s8aq4, miss
*CHECK: Consistently coded; 1,458 missing values.
tab s8aq3, miss
*CHECK: Consistently coded; 1,457 missing values 
gen LANDSIZE=s8aq4/2.471 if s8aq3==1|s8aq3==4
replace LANDSIZE=s8aq4/2.471 if s8aq3==2 
replace LANDSIZE=s8aq4/(9 * 2.471) if s8aq3==3  
tab LANDSIZE, miss
/* *CHECK: Consistently coded; 1,460 missing values
1. Conversion factors used
	a. 1 ha = 2.471 acres 
	b. 1 pole = approximately 1 acre
	c. 9 ropes = 1 acre
2. Area with units coded as 4'other' is assumed to be in acres and converted accordingly
3. No observations have 0 values*/
*-----------------------------------------------------
*inc_rent_8a1
tab s8aq15, miss
*CHECK: Consistently coded; 3,067 missing values.
gen inc_rent_8a1=s8aq15
*-----------------------------------------------------
collapse (sum)LANDSIZE inc_rent_8a1, by (HID)
des
*number of observations 3,098
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=1,425
3=3,098*/
drop _merge
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*----------------------------------------------
use "02_CLEANDATA\S12B", clear
des
/*Number of observations 11,960
Household level file with durable items as observations 
Contains informaiton regarding ownership of durables*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*3,849 unique values generated
*-----------------------------------------------------
*RADIO
tab hassetcd, miss
*CHECK: consistently coded; no missing values
tab s12bq2a, miss
/*CHECK: Inconsistently coded-There are 9 observations with 0 values-
these are assumed to represent that the household does not have the durable item
; 22 missing values*/
gen RADIO=1 if (s12bq2a !=0 | s12bq2a !=.) & (hassetcd>=307 & hassetcd<=310)
replace RADIO=0 if s12bq2a ==0 & (hassetcd>=307 & hassetcd<=310)
tab RADIO, miss
*CHECK: Consistently coded; 9,779 missing values
*-----------------------------------------------------
*TV
gen TV=1 if (s12bq2a !=0 | s12bq2a !=.) & hassetcd==313
replace TV=0 if s12bq2a ==0 & hassetcd==313
tab TV, miss
*CHECK: Consistently coded; 11,467 missing values
*-----------------------------------------------------
*CPHONE
gen CPHONE=.
*no data
*-----------------------------------------------------
*FRIDGE
gen FRIDGE=1 if (s12bq2a !=0 | s12bq2a !=.) & hassetcd==304
replace FRIDGE=0 if s12bq2a ==0 & hassetcd==304
tab FRIDGE, miss
*CHECK: Consistently coded; 11,586 missing values
*-----------------------------------------------------
*SEWMACH
gen SEWMACH=1 if (s12bq2a !=0 | s12bq2a !=.) & hassetcd==302
replace SEWMACH=0 if s12bq2a ==0 & hassetcd==302
tab SEWMACH, miss
*CHECK: Consistently coded; 10,728 missing values
*-----------------------------------------------------
*COMPUTER
gen COMPUTER=.
*no data 
*-----------------------------------------------------
*PHONE
gen PHONE =.
*no data 
*---------------------------------------------------
*INTERNET
gen INTERNET =.
*no data 
*-----------------------------------------------------
*STOVE
gen STOVE=1 if (s12bq2a !=0 | s12bq2a !=.) & hassetcd==303
replace STOVE=0 if s12bq2a ==0 & hassetcd==303
tab STOVE, miss
*CHECK: Consistently coded; 11,339 missing values
*-----------------------------------------------------
*BCYCLE
gen BCYCLE=1 if (s12bq2a !=0 | s12bq2a !=.) & hassetcd==316
replace BCYCLE=0 if s12bq2a ==0 & hassetcd==316
tab BCYCLE, miss
*CHECK: Consistently coded; 11,261 missing values
*-----------------------------------------------------
*BOAT
gen BOAT=1 if (s12bq2a !=0 | s12bq2a !=.) & (hassetcd>=321 & hassetcd<=322)
replace BOAT=0 if s12bq2a ==0 & (hassetcd>=321 & hassetcd<=322)
tab BOAT, miss
*CHECK: Consistently coded; 11,925 missing values
*-----------------------------------------------------
*MCYCLE
gen MCYCLE=.
*no data 
*-----------------------------------------------------
*CAR
gen CAR=1 if (s12bq2a !=0 | s12bq2a !=.) & hassetcd==317
replace CAR=0 if s12bq2a ==0 & hassetcd==317
tab CAR, miss
*CHECK: Consistently coded; 11,874 missing values
*-----------------------------------------------------
collapse (sum)RADIO TV PHONE CPHONE FRIDGE SEWMACH COMPUTER INTERNET STOVE BCYCLE BOAT MCYCLE CAR, by (HID)
des
*number of observations 3,849
*-----------------------------------------------------
replace RADIO=1 if RADIO>=1 & RADIO!=. 
*271 changes made
replace TV=1 if TV>=1 & TV!=.
*0 changes made
replace FRIDGE=1 if FRIDGE>=1 & FRIDGE!=.
*0 changes made
replace SEWMACH=1 if SEWMACH>=1 & SEWMACH!=.
*0 changes made
replace STOVE=1 if STOVE>=1 & STOVE!=.
*0 changes made
replace BCYCLE=1 if BCYCLE>=1 & BCYCLE!=.
*0 changes made
replace BOAT=1 if BOAT>=1 & BOAT!=.
*1 change made
replace CAR=1 if CAR>=1 & CAR!=.
*0 changes made
*-----------------------------------------------------
sort HID
des
*number of observations 3,849
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
1=1 : information of the dropped household
2=675
3=3,848*/
drop if _merge==1
drop _merge
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*-------------------------------------------
use "02_CLEANDATA\S8A3", clear
des
/*Number of observations 130
Household level file
Contains information regarding agricultural equipment*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*110 unique values generated
*---------------------------------------------------
*OXCART
tab eqcdown, miss
/*CHECK-Consistently coded; no missing values
Since the question asking whether the equipment is owned or not is excluded 
it is assumed that the dataset only contains observations if the response was yes*/
gen OXCART=1 if eqcdown==41
tab OXCART, miss
*CHECK: Consistently coded; 94 missing values
*---------------------------------------------------
*inc_rent_8a3
tab s8aq37, miss
/*CHECK-Consistently coded; no missing values*/
tab s8aq38, miss
/*CHECK-Consistently coded; 115 missing values for individuals who responded 'NO' to s8aq37*/
gen inc_rent_8a3=s8aq38 if s8aq37==1
tab inc_rent_8a3, miss
/*CHECK-Consistently coded; 115 missing values*/
*---------------------------------------------------
collapse (sum) OXCART inc_rent_8a3, by (HID)
des
*number of observations 110
*-----------------------------------------------------
replace OXCART=1 if OXCART>=1 & OXCART!=. 
*0 changes made
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=4,413
3=110*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*------------------------------------------
use "02_CLEANDATA\S8A2", clear
des
/*Number of observations 4,271
Household level file
Contains information regarding livestock*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*2,060 unique values generated
*-----------------------------------------------------
*LLIVESK
tab livstcd, miss
/*CHECK-Consistently coded; no missing values*/
tab s8aq22, miss
/*CHECK: Inconsistently coded-There are 12 observations with 0 values-
these are assumed to represent that the household does not have the livestock
; 2 missing values*/
gen LLIVESK=1 if (s8aq22 !=0 | s8aq22 !=.) & (livstcd==1 | livstcd==2)
replace LLIVESK=0 if s8aq22 ==0 & (livstcd==1 | livstcd==2)
tab LLIVESK, miss
*CHECK: Consistently coded; 3,988 missing values
*-----------------------------------------------------
*MLIVESK
gen MLIVESK=1 if (s8aq22 !=0 | s8aq22 !=.) & (livstcd>=3 & livstcd<=5)
replace MLIVESK=0 if s8aq22 ==0 & (livstcd>=3 & livstcd<=5)
tab MLIVESK, miss
*CHECK: Consistently coded; 2,482 missing values
*-----------------------------------------------------
*POULTRY
gen POULTRY=1 if (s8aq22 !=0 | s8aq22 !=.) & (livstcd==7 | livstcd==8)
replace POULTRY=0 if s8aq22 ==0 & (livstcd==7 | livstcd==8)
tab POULTRY, miss
*CHECK: Consistently coded; 2,151 missing values
*---------------------------------------------------
*inc_rent_8a2
tab s8aq30, miss
*CHECK: Consistently coded; 4,207 missing values
tab s8aq31, miss
/*CHECK: Consistently coded; 
4,259 missing values - for missing values and those who responded 'NO' to s8aq30*/
gen inc_rent_8a2=s8aq31 if s8aq30==1
tab inc_rent_8a2, miss
*CHECK: Consistently coded; 4,259 missing values
*-----------------------------------------------------
collapse (sum)LLIVESK MLIVESK POULTRY inc_rent_8a2, by (HID)
des
*number of observations 2,060
*-----------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=2,463
3=2,060*/
drop _merge
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*-----------------------------------------------------
use "04_AGGDATA\GHA_1991_E", clear
sort HID
des
*number of observations 4,523
*-----------------------------------------------------
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
3=4,523*/
drop _merge
*-----------------------------------------------------
*PCEXP
gen PCEXP=HHEXP_N/HHSIZE
*-----------------------------------------------------
*PCEXPDR
*first: food expenditure is adjusted regionally; non-food expenditure is not
gen r_totfdal=TOTFDAL/FDPINDEX
*non-food expenditures are not regionally adjusted since rural and urban prices of non-food items are assumed to be the same across regions

*second: per-capita food expenditures are calculated and cleaned
gen pc_r_totfdal= r_totfdal/HHSIZE
egen z_pc_totfdal=std(pc_r_totfdal)
bysort REGION RURURB: egen md_pc_totfdal=median(pc_r_totfdal) 
replace pc_r_totfdal=md_pc_totfdal if z_pc_totfdal>3
drop z_pc_totfdal md_pc_totfdal
*if value is greater than 3 std dev then it is replaced by the median value

*third: per-capita non-food expenditures are calculated and cleaned
gen pc_totnfd=TOTNFD/HHSIZE
egen z_pc_totnfd=std(pc_totnfd)
bysort REGION RURURB: egen md_pc_totnfd=median(pc_totnfd) 
replace pc_totnfd=md_pc_totnfd if z_pc_totnfd>3
drop z_pc_totnfd md_pc_totnfd
*if value is greater than 3 std dev then it is replaced by the median value

*fourth: food and non-food are per-capita expenditures are added
egen PCEXPDR=rowtotal(pc_r_totfdal pc_totnfd)
*cleaned total real per capita expenditure adjusted for regional prices 
*-----------------------------------------------------
*PCEXPDR_PPP 
*the survey was carried out from September 2005 to August 2006 (4 months in 2005 and 8 months in 2006)
gen PCEXPDR_PPP=PCEXPDR*(CPI2005_DEF/PPP2005)
*Regionally deflated real PPP expenditure=Regionally deflated nominal expenditure in survey year*(CPI deflator/PPP deflator)
*-----------------------------------------------------
*QUINTILE_N
xtile QUINTILE_N=PCEXPDR_PPP[aw=WTA_POP],nq(5)
*-----------------------------------------------------
*quintile_rur
xtile quintile_rur=PCEXPDR_PPP if RURURB==1[aw=WTA_POP],nq(5)
xtile quintile_urb=PCEXPDR_PPP if RURURB==2[aw=WTA_POP],nq(5)
gen QUINTILE_R_U=quintile_rur if RURURB==1
replace QUINTILE_R_U=quintile_urb if RURURB==2
*-----------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*-----------------------------------------------------
use "02_CLEANDATA\S11B2", clear
des
/*Number of observations 1,665
Household level file
*Contains information regarding remittances RECEIVED BY household*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*1,660 unique values generated
*---------------------------------------------------
*INC_RMT
tab s11bq9, miss
*CHECK: Consistently coded; 9 missing values
tab s11bq10, miss
*CHECK: Consistently coded; 13 missing values
tab s11bq11, miss
*CHECK: Consistently coded; 11 missing values
egen INC_RMT=rowtotal (s11bq9 s11bq10 s11bq11)
tab INC_RMT, miss
/*CHECK: Consistently coded; No missing values
1. 8 observations with 0 value
2. Remittances include cash and value of food goods and value of non food goods*/
*---------------------------------------------------
*sorted by descending order of amount remitted within each household
gsort HID -INC_RMT
count if INC_RMT==.
*no missing values. This precludes the sorting problem posed by missing values
*---------------------------------------------------
*SEX_RMT_1, SEX_RMT_2, SEX_RMT_3 
bysort HID: gen rmt=_n
tab s11bq6, miss
*CHECK: Consistently coded; 19 missing values
recode s11bq6 (1=1)(2=0), gen (sexrmt)
tab sexrmt, miss
*CHECK: Consistently coded; 19 missing values
gen SEX_RMT_1=sexrmt if rmt==1
gen SEX_RMT_2=sexrmt if rmt==2
gen SEX_RMT_3=sexrmt if rmt==3
*---------------------------------------------------
*RELAT_RMT_1, RELAT_RMT_2, RELAT_RMT_3 
tab s11bq5, miss
*CHECK: Consistently coded; 13 missing values
recode s11bq5(1=4)(2=2)(3=3)(4 5=7)(6=9), gen (relation)
tab relation, miss
/*CHECK: Consistently coded; 13 missing values
1. Nothing is coded as  5 'grandchild' and 6'son/daughter-in-law'
2. Code 9 'non-relative' has been introduced*/
gen RELAT_RMT_1=relation if rmt==1
gen RELAT_RMT_2=relation if rmt==2
gen RELAT_RMT_3=relation if rmt==3
*---------------------------------------------------
*DES_MIG_1, DES_MIG_2, DES_MIG_3
tab s11bq12, miss
*CHECK: Consistently coded; 9 missing values
recode s11bq12(2=1)(1 3/7=2)(8/9=3), gen (destination)
tab destination, miss
/*CHECK: Consistently coded; 9 missing values
1. Individuals who are in the same village/town are coded as 2 'within the country'*/
gen DES_MIG_1=destination if rmt==1
gen DES_MIG_2=destination if rmt==2
gen DES_MIG_3=destination if rmt==3
*---------------------------------------------------
*temp_domestic
*will be used to generate variable ORIGIN_RMT
gen temp_domestic = 0
replace temp_domestic=1 if (destination==1|destination==2)
*---------------------------------------------------
*temp_abroad
*will be used to generate variable ORIGIN_RMT
gen temp_abroad=0
replace temp_abroad=1 if destination==3
*---------------------------------------------------
*AMT_RMT_1, AMT_RMT_2, AMT_RMT_3 
gen AMT_RMT_1=INC_RMT if rmt==1
gen AMT_RMT_2=INC_RMT if rmt==2
gen AMT_RMT_3=INC_RMT if rmt==3
*---------------------------------------------------
collapse SEX_RMT_1 SEX_RMT_2 SEX_RMT_3 RELAT_RMT_1 RELAT_RMT_2 RELAT_RMT_3 ///
	DES_MIG_1  DES_MIG_2  DES_MIG_3 AMT_RMT_1  AMT_RMT_2  AMT_RMT_3 ///
	temp_domestic temp_abroad (sum) INC_RMT , by (HID)
des
*number of observations 1,660
*---------------------------------------------------
*ORIGIN_RMT
gen ORIGIN_RMT =1 if temp_domestic==1 & (temp_abroad==0|temp_abroad==.)
replace ORIGIN_RMT =2 if (temp_domestic==0|temp_abroad==.) & temp_abroad==1
replace ORIGIN_RMT =3 if (temp_domestic==1 & temp_abroad==1)
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
1=1 : Information regarding one of the dropped households
2=2,463
3=2,060*/
drop if _merge==1
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\S8C1", clear
des
/*Number of observations 5,276
Household level file with observations at the crop level
Contains information regarding disposal of harvests(Grains, field and cash crops)*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*2,753 unique values generated
*---------------------------------------------------
*inc_farm_g_8c1
tab s8cq8, miss
*CHECK: Consistently coded-1 observation coded as 0; 2,432 missing values
tab s8cq11, miss
*CHECK: Consistently coded-34 observations coded as 0; 5,202 missing values
egen inc_farm_g_8c1= rowtotal (s8cq8 s8cq11)
tab inc_farm_g_8c1, miss
/*CHECK: Consistently coded- 2,433 observation coded as 0; no missing values
1. Only income acutally earned from sale proceeds has been included.
2. All other hypothetical questions/auto-consumption are excluded.*/
*---------------------------------------------------
collapse (sum) inc_farm_g_8c1, by (HID)
des
*number of observations 2,753
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=1,770
3=2,753*/
drop if _merge==1
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\S8C2", clear
des
/*Number of observations 15,406
Household level file with observations at the crop level
Contains information regarding disposal of harvests(fruits, vegetable and piecemeal crops)
Reference time period is 2 weeks*/ 
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*2,935 unique values generated
*---------------------------------------------------
*inc_farm_g_8c2
tab s8cq24, miss
*CHECK: Consistently coded-1 observation coded as 0; 13,675 missing values
gen inc_farm_g_8c2= s8cq24
replace inc_farm_g_8c2=inc_farm_g_8c2*(356/14) if (inc_farm_g_8c2!=0 & inc_farm_g_8c2!=.)
tab inc_farm_g_8c2, miss
/*CHECK: Consistently coded- 1 observation coded as 0; 13,675 missing values
1. Only income acutally earned from sale proceeds has been included.
2. All other hypothetical questions/auto-consumption are excluded.
3. The reference time period is 2 weeks. IT has been annualized*/
*---------------------------------------------------
collapse (sum) inc_farm_g_8c2, by (HID)
des
*number of observations 2,935
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=1,588
3=2,935*/
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\S8E", clear
des
/*Number of observations 3,084
Household level file
Contains information regarding income from household agricultural produce*/ 
*---------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*3,084 unique values generated
*---------------------------------------------------
*inc_farm_g_8e
tab s8eq1, miss
*CHECK: Consistently coded-2,899 observation coded as 0; no missing values
tab s8eq2, miss
*CHECK: Consistently coded-3,029 observation coded as 0; no missing values
tab s8eq3, miss
*CHECK: Consistently coded-3,055 observation coded as 0; no missing values
tab s8eq4, miss
*CHECK: Consistently coded-2,911 observation coded as 0; no missing values
tab s8eq5, miss
*CHECK: Consistently coded-2,897 observation coded as 0; no missing values
tab s8eq6, miss
*CHECK: Consistently coded-3,078 observation coded as 0; no missing values
tab s8eq7, miss
*CHECK: Consistently coded-3,078 observation coded as 0; no missing values
tab s8eq8, miss
*CHECK: Consistently coded-2,902 observation coded as 0; no missing values
tab s8eq9, miss
*CHECK: Consistently coded-3,049 observation coded as 0; no missing values
tab s8eq10, miss
*CHECK: Consistently coded-3,006 observation coded as 0; no missing values
egen inc_farm_g_8e= rowtotal (s8eq1 s8eq2 s8eq3 s8eq4 s8eq5 s8eq6 s8eq7 s8eq8 s8eq9 s8eq10)
tab inc_farm_g_8e, miss
/*CHECK: Consistently coded- 2,437 observation coded as 0; no missing values*/
*---------------------------------------------------
collapse (sum) inc_farm_g_8e, by (HID)
des
*number of observations 3,084
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=1,439
3=3,084*/
drop _merge
*---------------------------------------------------
*INC_FARM_G
egen INC_FARM_G= rowtotal (inc_farm_g_8c1 inc_farm_g_8c2 inc_farm_g_8e)
tab INC_FARM_G, miss
/*CHECK: Consistently coded- 2,223 observation coded as 0; no missing values*/
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*--------------------------------------
use "02_CLEANDATA\S10D", clear
des
/*Number of observations 2,873
Household enterprise level file
Contains information regarding revenue of enterprises
Reference time period is 2 weeks*/
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*2,321 unique values generated
*---------------------------------------------------
*INC_NFARM_G
tab s10dq1, miss
*CHECK: Consistently coded-45 observation coded as 0; 508 missing values
tab s10dq6, miss
*CHECK: Consistently coded-14 observation coded as 0; 2,368 missing values
tab s10dq1 s10dq6 if (s10dq1!=. & s10dq1!=0) & (s10dq6!=. & s10dq1!=0), miss
/*CHECK: Consistently coded-
1. 1 observation is inconsistently coded and has a meaningful value for both the variables
2. Only one of the variables must have a meaningful non-zero value.*/
replace s10dq6=. if (s10dq6==4500 & s10dq1==10000)
egen INC_NFARM_G= rowtotal(s10dq1 s10dq6)
replace INC_NFARM_G=INC_NFARM_G*26
tab INC_NFARM_G, miss
/*CHECK: Consistently coded- 14 observation coded as 0; no missing values
1. Only income acutally earned from sale proceeds has been included.
2. The reference time period is 2 weeks. It has been annualized*/
*---------------------------------------------------
*inc_rent_10d
tab s10dq12, miss
*CHECK: Consistently coded; 2,850 missing values
gen inc_rent_10d=s10dq12
*---------------------------------------------------
collapse (sum) INC_NFARM_G inc_rent_10d, by (HID)
des
*number of observations 2,321
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
2=2,202
3=2,321*/
drop _merge
*---------------------------------------------------
*INC_RENT
egen INC_RENT=rowtotal(inc_rent_8a1 inc_rent_8a2 inc_rent_8a3 inc_rent_10d)
tab INC_RENT, miss
*CHECK: Consistently coded- 4,452 observations with 0 value; no missing values
*---------------------------------------------------
*INC_FIN
gen INC_FIN=.
*no data
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\S11C", clear
/*Number of observations 4,510
Household level file
Contains information regarding miscellaneous income*/
*--------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*4,510 unique values generated
*---------------------------------------------------
*INC_PEN
tab s11cq1, miss
*CHECK: Consistently coded-4,495 observations coded as 0; No missing values
tab s11cq2, miss
*CHECK: Consistently coded-4,440 observations coded as 0; No missing values
tab s11cq3, miss
*CHECK: Consistently coded-4,443 observations coded as 0; No missing values
tab s11cq4, miss
*CHECK: Consistently coded-4,467 observations coded as 0; No missing values
egen INC_PEN = rowtotal (s11cq1 s11cq2 s11cq3 s11cq4)
tab INC_PEN, miss
*CHECK: Consistently coded-4,340 observations coded as 0; No missing values
*---------------------------------------------------
*INC_OTH
tab s11cq5, miss
*CHECK: Consistently coded-4,367 observations coded as 0; No missing values
tab s11cq6, miss
*CHECK: Consistently coded-4,253 observations coded as 0; No missing values
egen INC_OTH= rowtotal (s11cq5 s11cq6)
tab INC_OTH, miss
*CHECK: Consistently coded-4,122 observations coded as 0; No missing values
*---------------------------------------------------
collapse (sum) INC_PEN INC_OTH, by (HID)
des
*number of observations 4,510
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
1=1 : Information regarding one of the dropped households
2=14
3=4,509*/
drop if _merge==1
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\S2", clear
des
/*Number of observations 17,168
Individual level file for individuals aged 5yrs or more
Contains education data*/ 
*---------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*4,551 unique values generated
*---------------------------------------------------
*INC_STUDY
tab s2q16, miss
*CHECK: Consistently coded; 11,168 missing values
tab s2q17, miss
/*CHECK: Consistently coded; 
17,123 missing values - for missing values and those who responded 'NO' to s2q16*/
gen INC_STUDY=s2q17 if s2q16==1
tab INC_STUDY, miss
*CHECK: Consistently coded- 1 observation has 0 value; 17,124 missing values
*---------------------------------------------------
collapse (sum) INC_STUDY, by (HID)
des
*number of observations 4,551
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
1=29 : Information regarding dropped households
2=1
3=4,522*/
drop if _merge==1
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "02_CLEANDATA\S4b", clear
des
/*Number of observations 10,177
Individual level file for individuals aged 5yrs or more
Contains data on characteristics of main occupation.*/ 
*---------------------------------------------------
*HID 
egen HID = concat(clust nh), p(/)
codebook HID
*4,378 unique values generated
*---------------------------------------------------
*INC_SOCA- annualized
tab s4bq15, miss
/*CHECK: Consistently coded; 8,910 missing values*/
tab s4bq16a, miss
*CHECK: Consistently coded; 1 observation coded as 0; 9,799 missing values
tab s4bq16b, miss
*CHECK: Consistently coded; 9,798 missing values
keep if s4bq15==1
*Keeping only observations that responded 'yes' to receiving bonus and allowances 
gen INC_SOCA=s4bq16a 
replace INC_SOCA = INC_SOCA*365 if s4bq16b==1
replace INC_SOCA = INC_SOCA*(365/7) if s4bq16b==2
replace INC_SOCA = INC_SOCA*(365/15) if s4bq16b==3
replace INC_SOCA = INC_SOCA*12 if s4bq16b==4
replace INC_SOCA = INC_SOCA*4 if s4bq16b==5
replace INC_SOCA = INC_SOCA if s4bq16b==6
tab INC_SOCA, miss
*CHECK: Consistently coded- 1 observation has 0 value; 4 missing values
*---------------------------------------------------
collapse (sum) INC_SOCA, by (HID)
des
*number of observations 357
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
1=5 : Information regarding dropped households
2=4,171
3=352*/
drop if _merge==1
drop _merge
*---------------------------------------------------
sort HID
save 04_AGGDATA\GHA_H, replace
*---------------------------------------------------
use "04_AGGDATA\GHA_1991_L", clear
des
/*Number of observations 15,615
Standardized labor file*/ 
*---------------------------------------------------
*INC_WAGE-annualized
tab WAGE_1,m
*CHECK: 394 missing values
tab UNITWAGE_1,m
tab UNITWAGE_1,nol m
*CHECK: 395 missing values
gen inc_wage_1=WAGE_1
replace inc_wage_1 = inc_wage_1*365 if UNITWAGE_1==2
replace inc_wage_1 = inc_wage_1*(365/7) if UNITWAGE_1==3
replace inc_wage_1 = inc_wage_1*(365/15) if UNITWAGE_1==5
replace inc_wage_1 = inc_wage_1*12 if UNITWAGE_1==6
replace inc_wage_1 = inc_wage_1*4 if UNITWAGE_1==7
replace inc_wage_1 = inc_wage_1 if UNITWAGE_1==9
*Secondary job
tab WAGE_2,m
*CHECK: 394 missing values
tab UNITWAGE_2,m
tab UNITWAGE_2,nol m
*CHECK: 395 missing values
gen inc_wage_2=WAGE_2
replace inc_wage_2 = inc_wage_2*365 if UNITWAGE_2==2
replace inc_wage_2 = inc_wage_2*(365/7) if UNITWAGE_2==3
replace inc_wage_2 = inc_wage_2*(365/15) if UNITWAGE_2==5
replace inc_wage_2 = inc_wage_2*12 if UNITWAGE_2==6
replace inc_wage_2 = inc_wage_2*4 if UNITWAGE_2==7
replace inc_wage_2 = inc_wage_2 if UNITWAGE_2==9
*Adding primary and secondary wage earnings
egen INC_WAGE= rowtotal (inc_wage_1 inc_wage_2)
tab INC_WAGE, miss
*CHECK: Consistently coded-17,608 observations coded as 0; No missing values
*---------------------------------------------------
collapse (sum) INC_WAGE, by (HID)
des
*number of observations 4,523
*---------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_H
tab _merge
/*CHECK-correctly merged
3=4,523*/
drop _merge
*---------------------------------------------------
*INC_TOT_G
egen INC_TOT_G= rowtotal(INC_RMT INC_WAGE INC_SOCA INC_FARM_G INC_NFARM_G INC_RENT INC_FIN INC_PEN INC_STUDY INC_OTH)
tab INC_TOT_G, miss
*CHECK: Consistently coded-192 observations coded as 0; No missing values
*---------------------------------------------------
*OTHLNDOW
/*There is no explicit question that captures this data.
Thus other land owned by the household is arrived at by substracting AGLNDOW from LANDSIZE.*/
gen OTHLNDOW=(LANDSIZE - AGLNDOW)
tab OTHLNDOW if OTHLNDOW<0
/*CHECK: Inconsistently coded-1,358 observations coded as 0; 1,481 missing values.
1. 608 observations have negative values. These have been recoded to 0.*/
replace OTHLNDOW=0 if OTHLNDOW<0
tab OTHLNDOW, miss
*CHECK: Consistently coded-1,966 observations coded as 0; 1,481 missing values.
*--------------------------------------
*labelling the variables
label var COUNTRY "Country code"
label var REGION "Region"
label var PROVINCE "Province"
label var DISTRICT "District"
label var HID "Household unique identification"
label var SURVEYR "Year of survey"
label var RURURB "Area of residence"
label var HHSIZE "Household members"
label var HHSIZE_S "Household members including household help"
label var WTA_HH "Individual weighting coefficient"
label var WTA_POP "Population weighting coefficient"
label def hhsex 1"Male" ///
	0"Female"
label val HHSEX hhsex
label var HHSEX "Sex of household head"
label var HHAGEY "Age of household head"
label def hhmarst 1"Never married" ///
	2"Married monogamous" ///
	3"Married polygamous" ///
	4"Common law/ living together" ///
	5"Divorced/ separated" ///
	6"Widowed"
label val HHMARST hhmarst
label var HHMARST "Marital status of household head"
label def hhedlev 0"No education" ///
	1"Pre-school/ primary, not completed" ///
	2"Completed primary, but less than completed lower secondary" ///
	3"Completed lower secondary but less than completed upper secondary" ///
	4"Completed upper secondary" ///
	5"Post-secondary technical" ///
	6"University and higher" ///
	7"Formal adult education/litracy program" ///
	9"Other"
label val HHEDLEV hhedlev
label var HHEDLEV "educational level of household head"
label def hhemstat 0"Unemployed" ///
	1"Employed"
label val HHEMSTAT hhemstat
label var HHEMSTAT "Employment status of household head"
label def hhemtype 1 "Wage & salaried worker" ///
	2 "Self-employed with employees" ///
	3 "Self-employed w/o employees" ///
	4 "Employer" ///
	5 "Domestic employees" ///
	6 "Family worker" ///
	7 "Apprentice" ///
	9 "Volunteer" ///
	99 "Other/not known/ missing"  
label val HHEMTYPE hhemtype
label var HHEMTYPE "Employment type of household head"
label def hhindustry 1 "Agriculture and fishing" ///
	2 "Mining" ///
	3 "Manufacturing" ///
	4 "Electricity and utilities" ///
	5 "Construction" ///
	6 "Commerce" ///
	7 "Transportation, storage & communications" ///
	8 "Financial, insurance & real estate" ///
	9 "Services: Public administration" ///
	10 "Other services" ///
	11 "Unspecified"
label val HHINDUSTRY hhindustry
label var HHINDUSTRY "Employment industry of household head"
label val OWNHOUSE yn
label var OWNHOUSE "Ownership of dwelling unit"
label var ROOMS "Number of habitable rooms"
label def roof 1"Concrete/cement/brick/stone" ///
	2"Wood" ///
	3"Bamboo/ thach" ///
	4"Tiles/shingles" ///
	5"Tin/metal sheets" ///
	6"Makeshift" ///
	9"Other"
label val ROOF roof
label var ROOF "Main material used for roof"
label def walls 1"Concrete/cement/brick/stone" ///
	2"Wood" ///
	3"Bamboo/thach" ///
	4"Iron/metal sheets" ///
	5"Clay/mud" ///
	6"Makeshift" ///
	9"Other"
label val WALLS walls
label var WALLS "Main material used for external wall"
label def floor 1"Cement/tiles/marble" ///
	2"Wood/bamboo" ///
	3"Vinyl" ///
	4"Earth/clay/mud" ///
	9"Other"
label val FLOOR floor
label var FLOOR "Main material used for floor"
label def water 1"Pipe(own tap)" ///
	2"Public standpipe" ///
	3"Borehole" ///
	4"Wells(protected)" ///
	5"Wells(unprotected)" ///
	6"Surface water" ///
	7"Rain water" ///
	8"Vendor/truck" ///
	9"Other"
label val WATER water
label var WATER "Main source of water"
label var ADISWAT "Distance to main water point (Kms)"
label var ATIMWAT "Time taken to main water point (mins)"
label val ELECTCON yn
label var ELECTCON "Connection of electricity in dwelling"
label def fuelcook 1"Firewood" ///
	2"Kerosene" ///
	3"Charcoal" ///
	4"Electricity" ///
	5"Gas" ///
	9"Other"
label val FUELCOOK fuelcook
label var FUELCOOK "Main cooking fuel"
label def fuelligh 1"Electricity" ///
	2"Kerosene" ///
	3"Candles" ///
	4"Gas" ///
	9"Other"
label val FUELLIGH fuelligh
label var FUELLIGH "Main lighting fuel"
label def toilet 1"Flush toilet" ///
	2"Improved pit latrine" ///
	3"Pit latrine" ///
	4"No facility" ///
	9"Other"
label val TOILET toilet
label var TOILET "Main toilet facility"
label def garbdisp 1"Collected" ///
	2"Burried/burned" ///
	3"Discarded in empty lots, street, rivers" ///
	9"Other"
label val GARBDISP garbdisp
label var GARBDISP "Garbage disposal"
label var DISPSCH "Distance to nearest elementary/primary school (Kms)"
label def disgp /// 
	1"Outside dwelling and up to 1km" /// 
	2"1 to 2km" /// 
	3"2 to 5km" /// 
	4"5 to 10km" /// 
	5"More than 10km" /// 
	9"Undefined"
label val DISPSCH1 disgp
label var DISPSCH1 "Distace to nearest elementary/primary school(grouped)"
label var TIMPSCH "Time taken to nearest elementary/primary school"
label def timegp /// 
	1"Within 1/2 hour" /// 
	2"1/2 to 1 hour away" /// 
	3"1 hour to 6 hours" /// 
	4"6 to 12 hours" /// 
	5"Over 12 hours" /// 
	9"Undefined"
label val TIMPSCH1 timegp
label var TIMPSCH1 "Time taken to nearest elementary/primary school (grouped)"
label var DISHEAL "Distance to nearest health facility (Kms)"
label val DISHEAL1 disgp
label var DISHEAL1 "Distace to nearest health facility (grouped)"
label var TIMHEAL "Time taken to nearest health facility (mins)"
label val TIMHEAL1 timegp
label var TIMHEAL1 "Time taken to nearest health facility (grouped)"
label def yncd 1"Yes" ///
	2"Cannot be determined" ///
	3"No"
label val AGLAND yncd
label var AGLAND "Ownership of agricultural land"
label var AGLNDOW "Agricultural land owned by household (ha)"
label var OTHLNDOW "Non-agricultural land owned by household (ha)"
label var LANDSIZE "Land size owned by household (ha)"
label var AREA_IRRIG "Area of irrigated agricultural land(ha)"
label var AREA_NONIRRIG "Area of non-irrigated agricultural land(ha)"
label var AREA_COLLAT "Total plot area that can used as collateral for loan(ha)"
label val LANDCON yn
label var LANDCON "Conflict about the land"
label val RADIO TV PHONE CPHONE FRIDGE SEWMACH COMPUTER STOVE OXCART BCYCLE BOAT MCYCLE CAR INTERNET yn
label var RADIO "Ownership of radio"
label var TV "Ownership of television"
label var PHONE "Ownership of landline (fixed)phone"
label var CPHONE "Ownership of at least one cellular phone"
label var INTERNET "Access to the internet"
label var FRIDGE "Ownership of refrigerator"
label var SEWMACH "Ownership of sewing machine"
label var COMPUTER "Ownership of computer"
label var STOVE "Ownership of stove"
label var OXCART "Ownership of oxcart"
label var BCYCLE "Ownership of bicycle"
label var BOAT "Ownership of boat"
label var MCYCLE "Ownership of motorcycle"
label var CAR "Ownership of car"
label var LLIVESK "Number of large-sized livestock owned"
label var MLIVESK "Number of medium-sized livestock owned"
label var POULTRY "Number of large-sized livestock owned"
label var PCEXP "Per-capita annual food and non-food expenditure in local currency, not regionally weighted"
label var PCEXPDR "Real per-capita annual food and non-food expenditure, regionally deflated"
label var PCEXPDR_PPP "Per-capita annual food and non-food expenditure in local currency,regionally deflated"
label var QUINTILE_N "Expenditure quintiles, National"
label var QUINTILE_R_U "Expenditure quintiles, Rural/ urban"
label val SEX_RMT_1 SEX_RMT_2 SEX_RMT_3 hhsex
label var SEX_RMT_1 "Sex of 1st remitting member"
label var SEX_RMT_2 "Sex of 2nd remitting member"
label var SEX_RMT_3 "Sex of 3rd remitting member"
label def relat_rmt /// 
	2"Spouse" /// 
	3"Son/ daughter" /// 
	4"Parents/ grandmother" /// 
	5"Grandchild" /// 
	6"Son/ Daughter-in-law" ///
	7"Siblings and other relatives/ friend"
label val RELAT_RMT_1 RELAT_RMT_2 RELAT_RMT_3 relat_rmt
label var RELAT_RMT_1 "Relationship of 1st remitting member"
label var RELAT_RMT_2 "Relationship of 2nd remitting member"
label var RELAT_RMT_3 "Relationship of 3rd remitting member"
label def des_mig 1"Capital" ///
	2"Within country (but not capital)" ///
	3"Abroad"
label val DES_MIG_1 DES_MIG_2 DES_MIG_3 des_mig
label var DES_MIG_1 "Migration destination of 1st remitting member"
label var DES_MIG_2 "Migration destination of 2nd remitting member"
label var DES_MIG_3 "Migration destination of 3rd remitting member"
label def origin_rmt 1"Domestic" ///
	2"Abroad" ///
	3"Both"
label val ORIGIN_RMT origin_rmt
label var ORIGIN_RMT "Origin of remittance"
label var AMT_RMT_1 "Amount received from 1st remitting member"
label var AMT_RMT_2 "Amount received from 2nd remitting member"
label var AMT_RMT_3 "Amount received from 3rd remitting member"
label var INC_RMT "Total gross household income(annual)"
label var INC_WAGE "Wage and salaries(annual)"
label var INC_SOCA "Bonus and social allowance from wage job(annual)"
label var INC_FARM_G "Gross income from household farm businesses(annual)"
label var INC_NFARM_G "Gross income from household non-farm businesses(annual)"
label var INC_RENT "Rental income(annual)"
label var INC_FIN "Financial income from savings, loans, tax refunds, maturity payments, financial investments(annual)"
label var INC_PEN "Pension and other social assistance(annual)"
label var INC_STUDY "Study support(annual)"
label var INC_OTH "Other income(annual)"
label var INC_TOT_G "Total gross household income(annual)"
*-------------------------------------------------------------
order COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB HHSIZE HHSIZE_S ///
	WTA_HH WTA_POP HHSEX HHAGEY HHMARST HHEDLEV HHEMSTAT HHEMTYPE HHINDUSTRY ///
	OWNHOUSE ROOMS ROOF WALLS FLOOR WATER ADISWAT ATIMWAT ELECTCON ///
	FUELCOOK FUELLIGH TOILET GARBDISP DISPSCH DISPSCH1 TIMPSCH TIMPSCH1 ///
	DISHEAL DISHEAL1 TIMHEAL TIMHEAL1 AGLAND AGLNDOW OTHLNDOW LANDSIZE ///
	AREA_IRRIG AREA_NONIRRIG AREA_COLLAT LANDCON RADIO TV PHONE CPHONE ///
	INTERNET FRIDGE SEWMACH COMPUTER STOVE OXCART BCYCLE BOAT MCYCLE ///
	CAR LLIVESK MLIVESK POULTRY	PCEXP PCEXPDR PCEXPDR_PPP QUINTILE_N ///
	QUINTILE_R_U quintile_rur quintile_urb SEX_RMT_1 SEX_RMT_2 SEX_RMT_3 ///
	RELAT_RMT_1 RELAT_RMT_2 RELAT_RMT_3 DES_MIG_1 DES_MIG_2 DES_MIG_3 ///
	ORIGIN_RMT AMT_RMT_1 AMT_RMT_2 AMT_RMT_3 INC_RMT INC_WAGE INC_SOCA ///
	INC_FARM_G INC_NFARM_G INC_RENT INC_FIN INC_PEN INC_STUDY INC_OTH ///
	INC_TOT_G 

keep COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB HHSIZE HHSIZE_S ///
	WTA_HH WTA_POP HHSEX HHAGEY HHMARST HHEDLEV HHEMSTAT HHEMTYPE HHINDUSTRY ///
	OWNHOUSE ROOMS ROOF WALLS FLOOR WATER ADISWAT ATIMWAT ELECTCON ///
	FUELCOOK FUELLIGH TOILET GARBDISP DISPSCH DISPSCH1 TIMPSCH TIMPSCH1 ///
	DISHEAL DISHEAL1 TIMHEAL TIMHEAL1 AGLAND AGLNDOW OTHLNDOW LANDSIZE ///
	AREA_IRRIG AREA_NONIRRIG AREA_COLLAT LANDCON RADIO TV PHONE CPHONE ///
	INTERNET FRIDGE SEWMACH COMPUTER STOVE OXCART BCYCLE BOAT MCYCLE ///
	CAR LLIVESK MLIVESK POULTRY	PCEXP PCEXPDR PCEXPDR_PPP QUINTILE_N ///
	QUINTILE_R_U quintile_rur quintile_urb SEX_RMT_1 SEX_RMT_2 SEX_RMT_3 ///
	RELAT_RMT_1 RELAT_RMT_2 RELAT_RMT_3 DES_MIG_1 DES_MIG_2 DES_MIG_3 ///
	ORIGIN_RMT AMT_RMT_1 AMT_RMT_2 AMT_RMT_3 INC_RMT INC_WAGE INC_SOCA ///
	INC_FARM_G INC_NFARM_G INC_RENT INC_FIN INC_PEN INC_STUDY INC_OTH ///
	INC_TOT_G 
*-------------------------------------------------------------
des
sort HID
*total number of observations 4,523
save 04_AGGDATA\GHA_1991_H, replace
erase 04_AGGDATA\GHA_H.dta
