clear
set more off
set mem 200m
*generating GHA_1991_L.dta
cd "C:\Africa\Ghana\GLSS3-1991"
*--------------------------------------------------------
use "04_AGGDATA\GHA_1991_I",clear
des
*Standardized individual file
*Number of observations 20,261
*--------------------------------------------------------
sort HID INDID
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
*Data from Expenditure level file is merged.
use "04_AGGDATA\GHA_1991_E",clear
des
*Standardized expenditure file
*Number of observations 4,523
*--------------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_L
tab _merge
/* Correctly merged
3= 20,261*/
drop _merge
*--------------------------------------------------------
*Keeping the variables relevant to the Labor Module
keep COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB WTA_HH INDID /// 
	SEX RELAT HEAD MARSTAT AGEY AGEM LITERACY EVERATTD EDLEVEL_AR ATSCHOOL EDYEARS ///
	FDPINDEX CPI2005_DEF PPP2005
*---------------------------------------------
*SVYAGE
gen SVYAGE = 7
*--------------------------------------------------------
sort HID INDID
save 04_AGGDATA\GHA_L, replace
count
*Number of observations 20,261
*--------------------------------------------------------
use "02_CLEANDATA\S2", clear
des
/*Number of observations 17,168
Individual level file for individuals aged 5yrs or more
Contains education data*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*Unique values generated 4,551
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
*EMPLEDU
tab s2q32, miss
*CHECK-consistently coded; 5,907 missing values
recode s2q32 (1=1)(2=0), gen(EMPLEDU)
*--------------------------------------------------------
*EMPLEDU_TU
tab s2q33, miss
/*CHECK-consistently coded; 16,687 missing values - 1 less than the number 
who responded 'No' to EMPLEDU or sysmiss.*/
recode s2q33 (0=.)(1 2 3 4 =4), gen (EMPLEDU_TU)
tab EMPLEDU_TU, miss
/*CHECK: Consistently coded; 16,721
1. Every response is coded as 4'years' since that is the only time unit used.
2. Individuals who responded as none are recoded to missing.*/
*--------------------------------------------------------
*EMPLEDU_TIME
recode s2q33 (0=.)(1=1)(2=2)(3=3)(4=4), gen (EMPLEDU_TIME)
tab EMPLEDU_TIME EMPLEDU_TU, miss
*CHECK-Consistently coded; 16,721 missing values
*--------------------------------------------------------
*EMPLEDU_CER
tab s2q34, miss
/*CHECK: Consistently coded; 16,689 missing values-1 more than the number of individuals
who either responded 'No' to EMPLEDU or were sysmiss.*/
gen EMPLEDU_CER= s2q34
*--------------------------------------------------------
*EMPLEDU_SCHLTYP
tab s2q35, miss
/*CHECK:Consistently coded; 16,687 missing values-1 less than the number of individuals 
who either responded 'No' to EMPLEDU or were sysmiss.*/
recode s2q35 (1=1)(2=2),gen (EMPLEDU_SCHLTYP)
tab EMPLEDU_SCHLTYP, miss
/*CHECK:Consistently coded; 16,687 missing values.
Nothing has been coded as 9 "other".*/
*--------------------------------------------------------
*APPREN
tab s2q48, miss
*CHECK:Consistently coded; 18 missing values
recode s2q48 (2=1)(1 3 =0),gen (APPREN)
tab APPREN, miss
/*CHECK: Consistently coded; 18 missing values
1. Individuals who are currently an apprentice have been recoded as 0 "No". 
They will be captured as 'Apprentice' in EMPTYPE_WB_1*/
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged; 
1=126 : Individuals from the additional households. Informaiton is dropped
2=3,219
3=17,042*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*-------------------------------------------------------
use "02_CLEANDATA\S4A", clear
des
/*Number of observations 15,659
Individual level file for all individuals aged 7 yrs or more.  
Contains screening information regarding employment in last 12 months*/ 
*-------------------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
* 4,549 unique values generated. 24 extra households.
*-------------------------------------------------------
*INDID
tab pid,m
*CHECK: Consistently coded; no missing values
egen INDID = concat(pid)
*-------------------------------------------------------
*WORKED_Y
tab s4aq1, miss
*CHECK:Consistently coded; 6 missing values
tab s4aq2, miss
*CHECK:Consistently coded; 1,487 missing values
tab s4aq3, miss
*CHECK:Consistently coded; 4,013 missing values
tab s4aq4, miss
*CHECK:Consistently coded; 9,937 missing values
gen WORKED_Y =1 if (s4aq1==1|s4aq2==1|s4aq3==1|s4aq4==1)
replace WORKED_Y=0 if (s4aq1==2 & s4aq2==2 & s4aq3==2 & s4aq4==2)
tab WORKED_Y, miss
/*CHECK: Consistently coded; 14 missing values
1. No observaions coded as 99*/
*-------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1=106 : Individuals from the additional households. Informaiton is dropped
2=4,708
3=15,553*/
drop if _merge==1
drop _merge
*-------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*-------------------------------------------------------
use "02_CLEANDATA\S4H", clear
des
/*Number of observations 15,528
Individual level file for all individuals aged 7 yrs or more.  
Contains information regarding activity status and employment search 
in the past 7 days*/ 
*-------------------------------------------------------
*HID
tab clust, m
*CHECK: Consistently coded; no missing values
tab nh, m
*CHECK: Consistently coded; no missing values
egen HID = concat(clust nh), p(/)
codebook HID
*4540 unique values generated, 17 extra households.
*---------------------------------------------
*INDID
tab pid, m
*CHECK: Consistently coded; no missing values
egen INDID = concat(pid)
*--------------------------------------------------------
*WORKED_7
tab s4hq1, miss
*CHECK:Consistently coded; 5,375 missing values
recode s4hq1 (1 2 3 4 5 6=1)(7=0),gen (WORKED_7)
tab WORKED_7,miss
/*CHECK: Consistently coded; 5,375 missing values
1. However, it includes temporary absense from work.
2. To exclude such individuals remove those individuals who responded 'Yes' but 
worked for 0 hours in the past 7 days*/
tab s4hq2, miss
/*CHECK:Consistently coded;
6,064 missing values.*/
replace WORKED_7=0 if (s4hq2==0 & WORKED_7==1)
* 218 absent members (worked for 0 hours but had a job) excluded.
tab WORKED_7,miss
/*CHECK: Consistently coded; 5,375 missing values
1. No observaions coded as 99*/
*--------------------------------------------------------
*ABSENT
gen ABSENT=1 if ((s4hq1!=7 & s4hq1!=.) & s4hq2==0)
*absent if did not work in last 7 days despite having a job i.e and worked for 0 hours
replace ABSENT=0 if (s4hq1==7 & s4hq1!=.)
* not absent if did not work in last 7 days or missing value
replace ABSENT=. if WORKED_7==1
* not eligible for absense if the individual worked in last 7 days
tab WORKED_7 ABSENT, miss
/*CHECK: Consistently coded; 14,622 missing values
1. No observaions coded as 99.*/
*--------------------------------------------------------
*LOOKJOB_TU
gen LOOKJOB_TU = 1
*--------------------------------------------------------
*LOOKJOB
tab s4hq6, miss
/*CHECK: Consistently coded; 
15,065 missing values - for individuals with LABFORCE_7==1 or ABSENT==1.*/
gen LOOKJOB=1 if (WORKED_7==0 & s4hq6==1)
replace LOOKJOB=0 if (WORKED_7==1| s4hq6==2)
tab LOOKJOB, miss
/*CHECK: Consistently coded; 6,049 missing values
1. Coded only for individuals who did not perform an economic activity in the past 7 days
2. Check consistency with WORKED_7*/
tab LOOKJOB WORKED_7, miss
*CHECK-Consistently coded-67 individuals looked for jobs and didnt have a job.
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1=104 : Individuals from the additional households. Informaiton is dropped
2=4,837
3=15,424*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*-------------------------------------------------------
use "02_CLEANDATA\S4g", clear
des
/*Number of observations 15,561
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding activity status and employment search 
in the past 12 months*/ 
*-------------------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*4532 unique values generated, 9 extra households.
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1=105 : Individuals from the additional households. Informaiton is dropped
2=4,805
3=15,456*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
*NOTLAB_WB
*Step1: Information from 12 month section
tab s4gq3, miss
*CHECK: Consistently coded; 17,987 missing values.
recode s4gq3 (1=6)(2 3=9), gen (NOTLAB_WB)
replace NOTLAB_WB=4 if AGEM<=60
*Individuals aged less than 5 years are coded as 4'Dependent'
/*ASSUMPTIONS
1.Individuals who responded 'no suitable work available' have been coded as 6'discouraged workers'
2.Individuals who responded 'family/personal reasons' / 'other' have been coded as 9'other'
Step2: Adding information from 7 day section*/
tab s4hq12, miss
*CHECK: Consistently coded; 20,075 missing values.
replace NOTLAB_WB=5 if s4hq12==1 & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=9 if (s4hq12==2| s4hq12==6) & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=6 if s4hq12==3 & (NOTLAB_WB==9 | NOTLAB_WB==.)
replace NOTLAB_WB=0 if (s4hq12==4| s4hq12==5) & (NOTLAB_WB==9 | NOTLAB_WB==.)
/*ASSUMPTIONS
1.Individuals who responded 'no suitable work available' have been coded as 6'discouraged workers'
2.Individuals who responded 'on vacation' / 'other' have been coded as 9'other'
3.Individuals who responded 'waiting for new job' / 'starting business' have been coded as 0'In labor force'*/
tab NOTLAB_WB, m
/*CHECK: Consistently coded; 14,294 missing values
1. To be checked against LABFORCE_WB later.*/
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\S8A2", clear
des
/*Number of observations 4,271
Household level file
Contains information regarding livestock*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*2,060 unique values generated
*--------------------------------------------------------
keep if (s8aq22!=. & s8aq22!=0)
/*CHECK: 14 observations deleted.
observations are deleted if # of livestock is missing or 0.*/
*--------------------------------------------------------
collapse s8aq22 ,by (HID)
tab s8aq22, m
*CHECK: Consistently coded; no missing values
gen famlivestock=1 if s8aq22!=.
/*CHECK: Consistently coded; no missing values
1. 2055 households raise livestock.
2. famlivestock will be used to check if the family raises livestock in variable EMPLHOME.*/
*--------------------------------------------------------
sort HID 
merge HID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=9,226
3=11,035*/
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
codebook HID
*number of households 4,523
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\S8B", clear
des
/*Number of observations 5,213
Household level file with observations at land asset level
Contains information regarding household agricultural land assets*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*3,050 unique values generated
*--------------------------------------------------------
tab farmcd, m
*CHECK: Consistently coded; no missing values
*--------------------------------------------------------
collapse farmcd ,by (HID)
tab farmcd, m
*CHECK: Consistently coded; no missing values
gen famfarm=1 if farmcd !=.
/*CHECK: Consistently coded; no missing values
1. famfarm will be used to check if the family has a farm or not in variable EMPLHOME. 
2. Includes both owned and/or operated but excludes if land was rented out or sharecropped out.*/
*--------------------------------------------------------
sort HID 
merge HID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=5,375
3=14,886*/
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
codebook HID
*number of households 4,523
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\S4K", clear
des
/*Number of observations 15,614
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding household chores*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*4,545 unique values generated; 22 extra households
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
*FETCHWOOD
tab s4kq1, miss
*CHECK: Consistently coded; No missing values
gen FETCHWOOD=1 if s4kq1==1
*--------------------------------------------------------
*FETCHWATER
tab s4kq3, miss
*CHECK: Consistently coded; 13 missing values
gen FETCHWATER=1 if s4kq3==1
*--------------------------------------------------------
*HOUR_NECON
tab s4kq6, miss
*CHECK: Consistently coded; 2 observations with 0 values; 3,753 missing values
gen HOUR_NECON=s4kq6
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1=105 : Individuals from the additional households. Informaiton is dropped
2=4,752
3=15,509*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
*Identifying and restricting the dataset to home-makers
keep if WORKED_Y!=1 & WORKED_7!=1 & ABSENT!=1 & s4kq5==1 & ATSCHOOL!=1 & LOOKJOB!=1
count
*number of observations 1,397
/*No question asks individuals to report if they were 'inactive because of 
household duties', thus observations are kept for all individuals 
who responded 'YES' to s4kq5 and did not work or look for a job or are currently attending school.*/
*--------------------------------------------------------
*EMPLHOME
gen EMPLHOME=0 if (famlivestock==. & famfarm==.)
replace EMPLHOME=1 if (famlivestock==1|famfarm==1)
tab EMPLHOME, miss
/*CHECK: Consistently coded; no missing values
1. 718 individuals classified as EMPLHOME=1
2. No observaions coded as 99.*/
*--------------------------------------------------------
*merging the rest of the Labor variables
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2=18,864
3=1,397*/
drop _merge
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
***********PRIMARY EMPLOYMENT INFORMATION****************
*--------------------------------------------------------
use "02_CLEANDATA\S4B", clear
des
/*Number of observations 10,177
Individual level file for all individuals aged more than 7 yrs. 
Contains information regarding primary occupation in the last 12 months.*/ 
*--------------------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
* 4,378 unique values generated.
*--------------------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1=67 : Individuals from the additional households. Information is dropped.
2=10,151
3=10,110*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
*EMPTYPE_WB_1
*STEP 1: Information from 12 month section*/
tab s4bq12, miss
*CHECK:Consistently coded; 10,199 missing values
tab s4bq13, miss
/*CHECK:Consistently coded-This variable is coded only if an individual is NOT self employed;
19,009 missing values.*/
tab s4bq12 s4bq13, miss
/*CHECK:Consistently coded; 1 observation is coded as YES in both s4bq12 and s4bq13.*/
tab s2q48, miss
*captures data for current apprenticeship
gen EMPTYPE_WB_1=99
replace EMPTYPE_WB_1=3 if s4bq12==1
replace EMPTYPE_WB_1=7 if s2q48==1
replace EMPTYPE_WB_1=1 if (s4bq13==1|s4bq13==2|s4bq13==3|s4bq13==4)
tab EMPTYPE_WB_1, miss
/*CHECK: Loosely coded; 9,990 missing values coded as 99
1. No observations have been coded as 2'self employed with employees';
4'employer'; 5'domestic employees'; 6'family worker'; 9'volunteer/other'
2. It has been assumed that individuals who responded 'YES' to s4bq12 are self-employed w/o employees
3. It has been assumed that individuals who responded to s4bq13 are wage and salaried employees.
4. Current apprenticeship is brought from Sec2 and assumed to be the primary job.
STEP 2: Information from 7 day section
No 7 day section on primary occupation*/
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\S6", clear
des
/*Number of observations 4,547
Household level file
Contains information for identifying individuals to respond to modules on farming and enterprise*/ 
*--------------------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*4,547 unique values generated; 24 additional households
*--------------------------------------------------------
sort HID
merge HID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1=29 : Individuals from the additional households. Informaiton is dropped
2=29
3=20,232*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
*EMPTYPE_WB_1, Cont.
destring INDID, gen(nindid) 
gen farmer=1 if (nindid==s6q2a | ///
	nindid==s6q2b | ///
	nindid==s6q2c | ///
	nindid==s6q2d | ///
	nindid==s6q2e | ///
	nindid==s6q4a | ///
	nindid==s6q4b | ///
	nindid==s6q4c | ///
	nindid==s6q4d | ///
	nindid==s6q4e)
gen emptype_6=1 if (nindid==s6q8b1 | ///
	nindid==s6q8b2 | ///
	nindid==s6q8b3 | ///
	nindid==s6q8b4 | ///
	nindid==s6q8b5 | ///
	nindid==s6q8b6 | ///
	nindid==s6q8b7 | ///
	nindid==s6q8b8 | ///
	nindid==s6q8b9 | ///
	nindid==s6q8b10)
drop INDID
tostring nindid, gen(INDID)
drop nindid
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\S10A", replace
des
/*Number of observations 2,879
Household enterprise level file
Contains information regarding characteristics of household enterprises*/
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*2,323 unique values generated
*--------------------------------------------
*INDID
tab s10aq2, m
*CHECK: consistently coded; 9 missing values
drop if s10aq2==.
egen INDID = concat(s10aq2)
*---------------------------------------------
duplicates r HID INDID
/*There are 95 duplicate observations with HID and INDID. 
These exist because there are households with more than 1 enterprise managed by the same individual.
Since we are interested in the individual we drop the duplicates.*/
duplicates drop HID INDID, force
*---------------------------------------------
*emptype_10a1
gen emptype_10a1=1 
/*Since this section deals with enterprises, it is assumed that all individuals are 'self-employed with employees'.
Based on the information in Sec10a it is not possible to further classify the individuals.*/
*---------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1=5 : Individuals from the additional households. Informaiton is dropped
2=17,491
3=2,770*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
*EMPTYPE_WB_1, - cont.
*checking to see if the persons responsible in sec 6b and 10a match
tab emptype_6 emptype_10a1, m
*99 additional observations are captured in sec10a that had not been captured in sec6
*---------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
use "02_CLEANDATA\S10A", replace
des
/*Number of observations 2,879
Household enterprise level file
Contains information regarding characteristics of household enterprises*/
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
* 2,323 unique values generated
*---------------------------------------------
*Information regarding family workers is in variables s10aq14a and s10aq14b.
tab s10aq14a, m
*CHECK: Consistently coded; 2,394 missing values
tab s10aq14b, m
*CHECK: Consistently coded; 2,692 missing values
*Step 1: Replacing all missing values of s10aq14* to 0
for var s10aq14*: replace X=0 if X==.
/*STEP 2: Generating 14 new variables with 0 values. 
Then replacing its value by the value of the Individual ID of the family worker*/
forvalues i=1/14 {
	gen famworker`i'=0
	}
forvalues i=1/14 {
	replace famworker`i'=`i' if (s10aq14a==`i' | s10aq14b==`i')
}
collapse (max) famworker*, by(HID)
/* The IDs of each family worker has been captured as a separate variable (column).
It is now collapsed at the household level.*/
count
/*Number of observations 2323.
Then the dataset is transposed so that observations now correspond to individuals*/
reshape long famworker, i(HID) j(newid)
count
*number of observations 32,522
drop newid
*Since most of the observations are non meaningful (0 values and duplicted values), these are dropped
duplicates r
duplicates drop
* 29,560 observations dropped
drop if famworker==0
* 2323 observations deleted
count
* 639 observations remaining
egen INDID=concat(famworker)
*---------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1= 4 : incorrectly coded IDs. These are dropped
2= 19,626
3= 635*/
drop if _merge==1
drop _merge
*--------------------------------------------------------
gen emptype_10a2=1 if famworker!=.
tab emptype_10a2, m
*CHECK: Consistently coded; 19,626 missing values
*--------------------------------------------------------
*EMPTYPE_WB_1,- cont.
*Adding information from farmer, emptype_6b, emptype_10a1 and emptype_10a2
replace EMPTYPE_WB_1=3 if farmer==1 & (EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99)
*It is assumed that all self employed agricultural workers are self-employed w/o employees 
replace EMPTYPE_WB_1=2 if (emptype_6!=. & (EMPTYPE_WB_1==3| EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99))
replace EMPTYPE_WB_1=6 if (emptype_10a2!=. & (EMPTYPE_WB_1==3| EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99))
replace EMPTYPE_WB_1=2 if (emptype_10a1!=. & (EMPTYPE_WB_1==3|EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99))
* The condition EMPTYPE_WB_1=3 is also kept since 3 was very loosely coded earlier.
tab EMPTYPE_WB_1, miss
*CHECK:Consistently coded; 9,681 missing values coded as 99
*--------------------------------------------------------
*CHECK: Including FETCHWOOD/FETCHWATER in the variable EMPTYPE_WB_1
replace EMPTYPE_WB_1=6 if (FETCHWOOD==1|FETCHWATER==1)&(EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99)
*individuals involved in collecting wood/water for the household are considered 6 'family workers'
tab EMPTYPE_WB_1, miss
*CHECK:Consistently coded; 6,642 missing values coded as 99
*--------------------------------------------------------
*CHECK: Including EMPLHOME in the variable EMPTYPE_WB_1
replace EMPTYPE_WB_1=6 if EMPLHOME==1 & (EMPTYPE_WB_1==9 | EMPTYPE_WB_1==99)
*Individuals in household that engage in farming or raising livestock are considered 6 'family workers'
tab EMPTYPE_WB_1, miss
*CHECK:Consistently coded; 6,504 missing values coded as 99
*--------------------------------------------------------
*EMPSEC_1
*Coding on the basis of information in the 12 month section
tab s4bq13, miss
/*CHECK:Consistently coded- This variable is coded only if an individual is NOT self employed
 19,009 missing values*/
recode s4bq13 (1=1)(2=2)(3 4=3), gen (EMPSEC_1)
tab EMPSEC_1, miss
/*CHECK:Consistently coded; 19,009 missing values.
Adding on information from the 7 day section if information is missing or other.
No 7 day section for this information*/
*--------------------------------------
*EMP_IND_SVY_1
tab s4bq1, miss
/*CHECK: Consistent coding; 10,161 missing values*/
gen EMP_IND_SVY_1=s4bq1
*--------------------------------------
*INDUSTRY_1 
recode EMP_IND_SVY_1 /// 
	(111/130=1) ///
	(210/290=2) ///
	(311/390=3) ///
	(410/420=4) ///
	(500=5) ///
	(610/632=6) ///
	(711/720=7) ///
	(810/833=8) ///
	(910=9) ///
	(920/960=10) , gen(INDUSTRY_1)
tab INDUSTRY_1, miss
/*CHECK: Consistently coded; 10,161 missing values - these are left unaltered.
Nothing is coded as 11'unspecified'
Adding on 7 day information
No 7 day section for this information*/
replace INDUSTRY_1=1 if EMPLHOME==1 & INDUSTRY_1==.
replace INDUSTRY_1=1 if (FETCHWOOD==1|FETCHWATER==1) & INDUSTRY_1==.
tab INDUSTRY_1, miss
/*CHECK: Consistent coding;  
6,648 missing values - these are left unaltered.
Nothing is coded as 11'unspecified'*/
*--------------------------------------
*EMPFRM_1
gen EMPFRM_1=1 if INDUSTRY_1==1 
tab EMPFRM_1, m
*CHECK: Consistently coded; 9,923 missing values
*--------------------------------------
*CONTRACT
tab s4bq30, miss
*CHECK: consistently coded; 19,001 missing values
recode s4bq30 (1=1)(2=0), gen (CONTRACT)
tab CONTRACT, miss
*CHECK: consistently coded; 19,001 missing values
*--------------------------------------
*EMP_CAT_1
gen EMP_CAT_1=1 if (EMPTYPE_WB_1==1 |EMPTYPE_WB_1==4 |EMPTYPE_WB_1==5 |EMPTYPE_WB_1==7 |EMPTYPE_WB_1==9)
replace EMP_CAT_1=2 if (EMPTYPE_WB_1==2 |EMPTYPE_WB_1==3 |EMPTYPE_WB_1==6)
replace EMP_CAT_1=12 if EMP_CAT_1==1 & (EMPFRM_1!=1)
replace EMP_CAT_1=13 if EMP_CAT_1==1 & (EMPFRM_1==1)
replace EMP_CAT_1=11 if (EMP_CAT_1==12 | EMP_CAT_1==13) & (EMPSEC_1==1 |EMPSEC_1==2)
replace EMP_CAT_1=21 if (EMP_CAT_1==2 & EMPFRM_1!=1)
replace EMP_CAT_1=22 if (EMP_CAT_1==2 & EMPFRM_1==1)
tab EMP_CAT_1, m
tab EMP_CAT_1 if AGEY>14
tab EMP_CAT_1 [aw=WTA_HH] if AGEY>14
*---------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*---------------------------------------------
*WAGE_1 and UNITWAGE_1
*Restricting the dataset to wage employees only
keep if (EMPTYPE_WB_1==1 | EMPTYPE_WB_1==4 | EMPTYPE_WB_1==5 | EMPTYPE_WB_1==7 | EMPTYPE_WB_1==9)
count
/*1725 individuals identified rest 18,536 are dropped
Information from 12 month section.*/ 
tab s4bq9, miss
*CHECK: Consistently coded; 252 missing values
tab s4bq10a, miss
*CHECK: consistently coded - Includes bonuses and tips; 394 missing values
gen WAGE_1=s4bq10a
tab WAGE_1, miss
*CHECK: 394 missing values
tab s4bq10b, miss
*CHECK: consistently coded - Includes bonuses and tips; 395 missing values
recode s4bq10b(1=2)(2=3)(3=5)(4=6)(5=7)(6=9),gen (UNITWAGE_1)
tab UNITWAGE_1, miss
*CHECK: 395 missing values
/*Adding information from the 7 day section.
No additional information.*/
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
2= 18,536
3= 1,725*/
drop _merge
*--------------------------------------------------------


s****CHECK COMMENTS

*WHOURS_1
*Information from 12 month section
tab s4bq7, miss
count if s4bq7>168 & s4bq7!=. 
/*CHECK: Inconsistently coded; 10,172 missing values.
1. 1080 observations with 0 value.
2. 199  Observations coded as 99 in the survey for individuals who do not return home from work every week*/
gen WHOURS_1=s4bq7
/*Adding information from 7 day section
No informaiton in 7 day section*/
tab WHOURS_1, miss
*CHECK: Consistently coded; 10,172 missing values.
*--------------------------------------
*SOU_AGRI_1
gen SOU_AGRI_1=0 if EMP_CAT_1!=. 
replace SOU_AGRI_1=1 if (EMP_CAT_1==13|EMP_CAT_1==22)  
tab SOU_AGRI_1, m
*CHECK: Consistently coded; 6,504 missing values
*--------------------------------------
*SOU_NFARM_1
gen SOU_NFARM_1=0 if EMP_CAT_1!=. 
replace SOU_NFARM_1=1 if EMP_CAT_1==21  
tab SOU_NFARM_1, m
*CHECK: Consistently coded; 6,504 missing values
*--------------------------------------
*SOU_WAGE_1
gen SOU_WAGE_1=0 if EMP_CAT_1!=. 
replace SOU_WAGE_1=1 if (EMP_CAT_1==11|EMP_CAT_1==12)  
tab SOU_WAGE_1, m
*CHECK: Consistently coded; 6,504 missing values
*--------------------------------------------------------
*UNEMPLOYED_ILO
gen UNEMPLOYED_ILO=0 if (WORKED_7==1|ABSENT==1)
replace UNEMPLOYED_ILO=1 if (WORKED_7!=1 & ABSENT!=1 & LOOKJOB==1)
replace UNEMPLOYED_ILO=0 if EMPLHOME==1
tab UNEMPLOYED_ILO, miss
*CHECK: Consistently coded; 10,079 missing values
*--------------------------------------------------------
*LABFORCE_WB
gen LABFORCE_WB=0 if (WORKED_Y!=. | WORKED_7!=. | ABSENT!=. | EMPLHOME!=. | UNEMPLOYED_ILO!=.) 
replace LABFORCE_WB=1 if (WORKED_Y==1 | WORKED_7==1 | ABSENT==1 | EMPLHOME==1 | UNEMPLOYED_ILO==1|EMPTYPE_WB_1!=99)
tab LABFORCE_WB, miss
*CHECK: Consistently coded; 4,663 missing values.
*--------------------------------------------------------
*NOTLAB_WB-cont
replace NOTLAB_WB=0 if LABFORCE_WB==1
tab NOTLAB_WB, miss
/*CHECK: Consistently coded; 2,898 missing values
1. Nothing is coded as 1, 2, 3 since the data does not have information to code these.*/
*--------------------------------------------------------
*EMPLOYED_WB
gen EMPLOYED_WB=0 if LABFORCE_WB==1
replace EMPLOYED_WB=1 if (WORKED_Y==1 | WORKED_7==1 | ABSENT==1 | EMPLHOME==1| EMPTYPE_WB_1!=99)
tab EMPLOYED_WB, miss
*CHECK: Consistently coded; 6,490 missing values
*--------------------------------------------------------
*UNEMPLOYED_WB
gen UNEMPLOYED_WB=0 if LABFORCE_WB==1
replace UNEMPLOYED_WB=1 if (WORKED_Y!=1 & UNEMPLOYED_ILO==1 & EMPTYPE_WB_1==99)
tab UNEMPLOYED_WB, miss
/*CHECK: Consistently coded; 6,490 missing values
1. 1 individual is unemployed.*/
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
***********SECONDARY EMPLOYMENT INFORMATION**************
*--------------------------------------------------------
use "02_CLEANDATA\S4C", clear
des
/*Number of observations 2,190
Individual level file for all individuals aged more than 7 yrs 
Contains information regarding secondary occupation 
in the last 12 months*/ 
*---------------------------------------------
*HID
egen HID = concat(clust nh), p(/)
codebook HID
*1731 unique values generated
*---------------------------------------------
*INDID
egen INDID = concat(pid)
*--------------------------------------------------------
sort HID INDID
merge HID INDID using 04_AGGDATA\GHA_L
tab _merge
/*CHECK-correctly merged
1= 18 : incorrectly coded IDs. These are dropped
2= 18,089
3= 2,172*/
drop if _merge==1
drop _merge
*--------------------------------------
*EMPTYPE_WB_2
tab s4cq12, miss
*CHECK:Consistently coded; 18,092 missing values
tab s4cq13, miss
/*CHECK:Consistently coded-This variable is coded only if an individual is NOT self employed;
20,161 missing values.*/
tab s4cq12 s4cq13, miss
/*CHECK:Consistently coded.*/
gen EMPTYPE_WB_2=3 if s4cq12==1
replace EMPTYPE_WB_2=1 if (s4cq13==1|s4cq13==2|s4cq13==3|s4cq13==4)
tab EMPTYPE_WB_2, miss
/*CHECK: Loosely coded; 18,097 missing values
1. No observations have been coded as 2'self employed w employees';
4'employer'; 5'domestic employees'; 6'family worker'; 7'Apprentice' 9'volunteer/other'
2. It has been assumed that individuals who responded to s4bq12 are self-employed w/o employees
3. It has been assumed that individuals who responded to s4bq13 are wage and salaried employees
4. women involved in collecting wood/water for the household not included since already included in primary job.*/
*--------------------------------------
*EMP_IND_SVY_2
tab s4cq1, miss
*CHECK: consistently coded; 18,099 missing values
gen EMP_IND_SVY_2=s4cq1
*--------------------------------------
*INDUSTRY_2 
recode EMP_IND_SVY_2 /// 
	(111/130=1) ///
	(210/290=2) ///
	(311/390=3) ///
	(410/420=4) ///
	(500=5) ///
	(610/632=6) ///
	(711/720=7) ///
	(810/833=8) ///
	(910=9) ///
	(920/960=10) , gen(INDUSTRY_2)
tab INDUSTRY_2, miss
/*CHECK: Consistently coded;  
18,099 missing values - these are left unaltered.
Nothing is coded as 11'unspecified'*/
*------------------------------------------------------
*EMPFRM_2
gen EMPFRM_2=1 if INDUSTRY_2==1
*--------------------------------------------------------
*EMPSEC_2
*Coding on the basis of information in the 12 month section
tab s4cq13, miss
/*CHECK:Consistently coded- This variable is coded only if an individual is NOT self employed
20,161 missing values*/
recode s4cq13 (1=1)(2=2)(3 4=3), gen (EMPSEC_2)
tab EMPSEC_2, miss
/*CHECK:Consistently coded; 20,161 missing values
1. No observations coded as 2 
*Adding on information from the 7 day section if informaiton is missing or other
No 7 day section for this information*/
*--------------------------------------
*EMP_CAT_2
gen EMP_CAT_2=1 if (EMPTYPE_WB_2==1 |EMPTYPE_WB_2==4 |EMPTYPE_WB_2==5 |EMPTYPE_WB_2==7 |EMPTYPE_WB_2==9)
replace EMP_CAT_2=2 if (EMPTYPE_WB_2==2 |EMPTYPE_WB_2==3 |EMPTYPE_WB_2==6)
replace EMP_CAT_2=12 if EMP_CAT_2==1 & (EMPFRM_2!=1)
replace EMP_CAT_2=13 if EMP_CAT_2==1 & (EMPFRM_2==1)
replace EMP_CAT_2=11 if (EMP_CAT_2==12 | EMP_CAT_2==13) & (EMPSEC_2==1 |EMPSEC_2==2)
replace EMP_CAT_2=21 if (EMP_CAT_2==2 & EMPFRM_2!=1)
replace EMP_CAT_2=22 if (EMP_CAT_2==2 & EMPFRM_2==1)
tab EMP_CAT_2, m
tab EMP_CAT_2 if AGEY>14
tab EMP_CAT_2 [aw=WTA_HH] if AGEY>14
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*--------------------------------------
*WAGE_2
tab s4cq10a, miss
*CHECK: consistently coded; 18,618 missing values
tab s4cq10b, miss
*CHECK: consistently coded; 18,621 missing values
gen WAGE_2=s4cq10a 
*--------------------------------------
*UNITWAGE_2
tab s4cq10b, miss
recode s4cq10b (1=2)(2=3)(3=5)(4=6)(5=7)(6=9)if EMPTYPE_WB_2==1,gen (UNITWAGE_2)
*no observations are coded as 1'hourly';4 "every two weeks"; 8'biannually'
*CHECK: consistently coded; 18,621 missing values
*--------------------------------------
*WHOURS_2
tab s4cq7, miss
/*CHECK: consistently coded;18,089 missing values.
1. 2 observations coded as 0
2. Maximum value is 99 , below the maximum possible value of 168.*/
gen WHOURS_2=s4cq7
*-------------------------------------------------------
*SOU_AGRI_2
gen SOU_AGRI_2=0 if EMP_CAT_2!=. 
replace SOU_AGRI_2=1 if (EMP_CAT_2==13|EMP_CAT_2==22)  
tab SOU_AGRI_2, m
*CHECK: Consistently coded; 18,097 missing values
*-------------------------------------------------------
*SOU_NFARM_2
gen SOU_NFARM_2=0 if EMP_CAT_2!=. 
replace SOU_NFARM_2=1 if EMP_CAT_2==21  
tab SOU_NFARM_2, m
*CHECK: Consistently coded; 18,097 missing values
*--------------------------------------------------------
*SOU_WAGE_2
gen SOU_WAGE_2=0 if EMP_CAT_2!=. 
replace SOU_WAGE_2=1 if (EMP_CAT_2==11|EMP_CAT_2==12)  
tab SOU_WAGE_2, m
*CHECK: Consistently coded; 18,097 missing values
*--------------------------------------------------------
sort HID INDID
count
*number of observations 20,261
save 04_AGGDATA\GHA_L, replace
*--------------------------------------------------------
*labelling the variables
label var COUNTRY "Country code"
label var REGION "Region"
label var PROVINCE "Province"
label var DISTRICT "District"
label var HID "Household unique identification"
label var SURVEYR "Year of survey"
label var RURURB "Area of residence"
label var WTA_HH "Individual weighting coefficient"
label var INDID "Individual identification"
*label def sex 0"Female" 1"Male"
label val SEX sex
label var SEX "Sex"
/*label def relation 1"Head" ///
	2"Spouse" ///
	3"Child" ///
	4"Father/Mother" ///
	5"Grandchild" ///
	6"Son/Daughter in law" ///
	7"Other relative" ///
	8"Domestic help/Paying boarder" ///
	9"Non-relative"*/
label val RELAT relation
label var RELAT "Relationship to household head"
*label def yn 1"Yes"0"No"
label val HEAD yn
label var HEAD "Household head"
/*label def mstatus 1"Never married" ///
	2"Married monogamous" ///
	3"Married polygamous" ///
	4"Common law,Living together" ///
	5"Divorced/Separated" ///
	6"Widowed"*/
label val MARSTAT mstatus
label var MARSTAT "Marital status"
label var AGEY "Age in completed years"
/*label def litstat 1"Can read or write" ///
	2"Cannot read or write" ///
	3"Cannot be determined"*/
label val LITERACY litstat
label var LITERACY "Literacy status"
label val EVERATTD yn
label var EVERATTD "Ever attended school"
/*label def edlev 0"No education" ///
	1"Pre-school/ primary, not completed" ///
	2"Completed primary, but less than completed lower secondary" ///
	3"Completed lower secondary but less than completed upper secondary" ///
	4"Completed upper secondary" ///
	5"Post-secondary technical" ///
	6"University and higher" ///
	7"Formal adult education/litracy program" ///
	9"Other"*/
label val EDLEVEL_AR edlev
label var EDLEVEL_AR "Highest level of education completed"
label var EDYEARS "Years of education"
label var FDPINDEX"Regional food price deflators"
label var CPI2005_DEF "CPI deflator"
label var PPP2005 "2005 PPP Exchange Rate"
label def yns 1 "Yes" ///
	2 "No" ///
	99 "Question not in survey"
label val EMPLEDU yns
label var EMPLEDU "Post school vocational training"
label var SVYAGE "Lower age cutoff for employment survey"
label def empledu_tu 1 "Days" ///
	2 "Weeks" ///
	3 "Months" ///
	4 "Years" 	
label val EMPLEDU_TU empledu_tu
label var EMPLEDU_TU "Time unit of course duration"
label var EMPLEDU_TIME "Number of EMPLEDU_TU"
label var EMPLEDU_CER "Highest certificate obtained"
label def empledu_schltyp 1 "Public" ///
	2 "Private" ///
	3 "Other"	
label val EMPLEDU_SCHLTYP empledu_schltyp
label var EMPLEDU_SCHLTYP "Type of training institute"
label val APPREN yns
label var APPREN "Apprenticeship"
label val WORKED_Y yns
label var WORKED_Y "Laborforce screening last year"
label val WORKED_7 yns
label var WORKED_7 "Laborforce screening last 7 days"
label val ABSENT yns
label var ABSENT "Absent for last 7 days or more"
label var LOOKJOB_TU "Number of weeks"
label val LOOKJOB yns
label var LOOKJOB "Looked for job in last 'LOOKJOB_TU' weeks"
label val FETCHWOOD yns
label var FETCHWOOD "Fetched wood for the household"
label val FETCHWATER yns
label var FETCHWATER "Fetched water for the household"
label def notlab_wb 0"In labor force" ///
	1 "Household duties" ///
	2 "Retired" ///
	3 "Student" ///
	4 "Dependent (too young/too old)" ///
	5 "Disabled/ill" ///
	6 "Discouraged worker" ///
	9 "Other" 
label val NOTLAB_WB notlab_wb
label var NOTLAB_WB "Reason not in laborforce"
label val EMPLHOME yns
label var EMPLHOME "Employment of women home-makers"
label def emptype_wb 1 "Wage & salaried worker" ///
	2 "Self-employed with employees" ///
	3 "Self-employed w/o employees" ///
	4 "Employer" ///
	5 "Domestic employees" ///
	6 "Family worker" ///
	7 "Apprentice" ///
	9 "Volunteer" ///
	99 "Other/not known/ missing" 
label val EMPTYPE_WB_1 emptype_wb
label var EMPTYPE_WB_1 "Type of employment, Primary job"
label var EMP_IND_SVY_1 "Industry classification, Primary job"
label def industry 1 "Agriculture and fishing" ///
	2 "Mining" ///
	3 "Manufacturing" ///
	4 "Electricity and utilities" ///
	5 "Construction" ///
	6 "Commerce" ///
	7 "Transportation, storage & communications" ///
	8 "Financial, insurance & real estate" ///
	9 "Services: Public administration" ///
	10 "Other services" ///
	11 "Unspecified" 
label val INDUSTRY_1 INDUSTRY_2 industry
label var INDUSTRY_1 "1 digit industry classificaton, Primary job"
label val EMPFRM_1 yns
label var EMPFRM_1 "Farm employment"
label def empsec 1"Public, Govt, Army" ///
	2 "State owned" ///
	3 "Private/ NGO"
label val EMPSEC_1 empsec
label var EMPSEC_1 "Employment sector, Primary job"
label val CONTRACT yn
label var CONTRACT "Employment contract"
label def emp_cat 11"Wage public" ///
	12 "Wage private non-agri" ///
	13 "Wage private agri" ///
	21 "Family enterprise" ///
	22 "Family farmer"
label val EMP_CAT_1 EMP_CAT_2 emp_cat
label var EMP_CAT_1 "Employment categories, Primary job"
label var WAGE_1 "Last week wage payment in nominal local currency, Primary job"
label def unitwage 1"Hourly" ///
	2 "Daily" ///
	3 "Weekly" ///
	4 "Every two weeks" ///
	5 "Twice per month" ///
	6 "Monthly" ///
	7 "Quarterly" ///
	8 "Biannual" ///
	9 "Annually" ///
	10 "Other" 
label val UNITWAGE_1 unitwage
label var UNITWAGE_1 "Time unit for wage, Primary job"
label var WHOURS_1 "Hours worked last week, Primary job"
label val SOU_AGRI_1 yn
label var SOU_AGRI_1 "Primary job, income self employed agriculture"
label val SOU_NFARM_1 yn
label var SOU_NFARM_1 "Primary job, income self employed non-agriculture"
label val SOU_WAGE_1 yn
label var SOU_WAGE_1 "Primary job, income wage non-agriculture"
label val UNEMPLOYED_ILO yn
label var UNEMPLOYED_ILO "Unemployed ILO"
label val EMPLOYED_WB yn
label var EMPLOYED_WB "Employment WB"
label val UNEMPLOYED_WB yn
label var UNEMPLOYED_WB "Unemployment WB"
label val LABFORCE_WB yn
label var LABFORCE_WB "Laborforce participation WB"
label var HOUR_NECON "Hours spent per week on non-economic activities"
label val EMPTYPE_WB_2 emptype_wb
label var EMPTYPE_WB_2 "Type of employment, Secondary job"
label var EMP_IND_SVY_2 "Industry classification, Secondary job"
label var INDUSTRY_2 "1 digit industry classificaton, Secondary job"
label val EMPFRM_2 yn
label var EMPFRM_2 "Farm employment, Secondary job"
label val EMPSEC_2 empsec
label var EMPSEC_2 "Employment sector, Secondary job"
label var EMP_CAT_2 "Employment categories, Secondary job"
label val EMP_CAT_2 emp_cat
label var EMP_CAT_2 "Employment categories, Secondary job"
label var WAGE_2 "Last week wage payment in nominal local currency, Secondary job"
label val UNITWAGE_2 unitwage
label var UNITWAGE_2 "Time unit for wage, Secondary job"
label var WHOURS_2 "Hours worked last week, Secondary job"
label val SOU_AGRI_2 yn
label var SOU_AGRI_2 "Secondary job, income self employed agriculture"
label val SOU_NFARM_2 yn
label var SOU_NFARM_2 "Secondary job, income self employed non-agriculture"
label val SOU_WAGE_2 yn
label var SOU_WAGE_2 "Secondary job, income wage non-agriculture"
*-------------------------------------------------------- 
order COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB WTA_HH INDID ///
	SEX RELAT HEAD MARSTAT AGEY LITERACY EVERATTD EDLEVEL_AR EDYEARS ///
	FDPINDEX CPI2005_DEF PPP2005 EMPLEDU SVYAGE EMPLEDU_TU EMPLEDU_TIME ///
	EMPLEDU_CER EMPLEDU_SCHLTYP APPREN WORKED_Y WORKED_7 ABSENT ///
	LOOKJOB_TU LOOKJOB FETCHWOOD FETCHWATER NOTLAB_WB EMPLHOME EMPTYPE_WB_1 ///
	EMP_IND_SVY_1 INDUSTRY_1 EMPFRM_1 EMPSEC_1 CONTRACT EMP_CAT_1 ///
	WAGE_1 UNITWAGE_1 WHOURS_1 SOU_AGRI_1 SOU_NFARM_1 SOU_WAGE_1 ///
	UNEMPLOYED_ILO EMPLOYED_WB UNEMPLOYED_WB LABFORCE_WB ///
	HOUR_NECON EMPTYPE_WB_2 EMP_IND_SVY_2 INDUSTRY_2 EMPFRM_2 ///
	EMPSEC_2 EMP_CAT_2 WAGE_2 UNITWAGE_2 WHOURS_2 SOU_AGRI_2 SOU_NFARM_2 SOU_WAGE_2
	
keep COUNTRY REGION PROVINCE DISTRICT HID SURVEYR RURURB WTA_HH INDID ///
	SEX RELAT HEAD MARSTAT AGEY LITERACY EVERATTD EDLEVEL_AR EDYEARS ///
	FDPINDEX CPI2005_DEF PPP2005 EMPLEDU SVYAGE EMPLEDU_TU EMPLEDU_TIME ///
	EMPLEDU_CER EMPLEDU_SCHLTYP APPREN WORKED_Y WORKED_7 ABSENT ///
	LOOKJOB_TU LOOKJOB FETCHWOOD FETCHWATER NOTLAB_WB EMPLHOME EMPTYPE_WB_1 ///
	EMP_IND_SVY_1 INDUSTRY_1 EMPFRM_1 EMPSEC_1 CONTRACT EMP_CAT_1 ///
	WAGE_1 UNITWAGE_1 WHOURS_1 SOU_AGRI_1 SOU_NFARM_1 SOU_WAGE_1 ///
	UNEMPLOYED_ILO EMPLOYED_WB UNEMPLOYED_WB LABFORCE_WB ///
	HOUR_NECON EMPTYPE_WB_2 EMP_IND_SVY_2 INDUSTRY_2 EMPFRM_2 ///
	EMPSEC_2 EMP_CAT_2 WAGE_2 UNITWAGE_2 WHOURS_2 SOU_AGRI_2 SOU_NFARM_2 SOU_WAGE_2
*-------------------------------------------------------- 
sort HID INDID 
count
*number of observations - 20,261
save 04_AGGDATA\GHA_1991_L, replace
erase 04_AGGDATA\GHA_L.dta
